# AWS Will Begin Charging for the Use of Public IPv4 Addresses
## IPv4 addresses have been on the verge of extinction ever since the last decade. The boom of IoT (Internet of Things) and Cloud service providers have been a great cause of the exhaustion of IPv4 in 2019.
## Information:

+ Link: https://cybersecuritynews.com/?p=32095
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 31 July 2023, 16:38
+ Date scraped: 31 July 2023, 17:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjn7D2JNN9aovuI91teBWozDiFjfFHSokCvW0Bjj83v7t0gqj7SAweNFglYx5g0anKxAk6Y-KbXRlBk8AHaHOKOpPaUXEgjHmOVxgJ0JU93G0jq4vfBOCA39v1ZXLm9mUCV3yd9VqoU5evL4uY3ythrMJY3c9WLKTb3_zRFErcWGpxDxnijXzNXrG5ou6qX/s16000/AWS%20to%20Charge%20for%20IPv4%20Address.webp)


IPv4 addresses have been on the verge of extinction ever since the last decade. The boom of IoT (Internet of Things) and Cloud service providers have been a great cause of the exhaustion of IPv4 in 2019.


The RIPE NCC (Réseaux IP Européens Network Coordination Centre) [announced in 2019](https://www.ripe.net/publications/news/about-ripe-ncc-and-ripe/the-ripe-ncc-has-run-out-of-ipv4-addresses) that they had finished allocating their final /22 IPv4 addresses and followed by LACNIC (Latin America and Caribbean Network Information Centre) [announcement](https://www.lacnic.net/1039/2/lacnic/phases-of-ipv4-exhaustion) in 2020.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



However, Organisations are still relying on IPv4 addresses which are exhausted. The only possibilities for IPv4 addresses are only if an organization shuts down or returns its allocated IPv4 addresses due to IPv6 migration. This has resulted in a cost increase of 300% for IPv4 addresses in the past 5 years.


To overcome the problem of IPv4, which had only 4.6 billion IP addresses during the time of its introduction, IPv6 was introduced, which was a 128-bit address and can have a maximum of up to 340 undecillion addresses. After all, the adoption rate of IPv6 was low as per reports from RIPE labs.


## **AWS Announcement About IPv4**


Amazon Web Services has been one of the most used Cloud Service Providers worldwide due to its reliability and low downtime. In a recent announcement, AWS mentioned that, with effect from February 2024 there will be a charge of 0.005$ /hour/IPv4 for all public IPv4 addresses.


This is applicable to IPv4 addresses even if they are not attached to any Amazon services like EC2, RDS, EKS, and others. For Free Tier accounts, there will be 750 hours of free usage of IPv4 addresses per month for 12 months which will not be charged.


Furthermore, [AWS announced](https://aws.amazon.com/blogs/aws/new-aws-public-ipv4-address-charge-public-ip-insights/) that future bills would include charges regarding the hours of IPv4 usage. 




|  |  |  |
| --- | --- | --- |
| **Public IP Address Type** | **Current Price/Hour (USD)** | **New Price/Hour (USD) (Effective February 1, 2024)** |
| In-use Public IPv4 address (including Amazon provided public IPv4 and Elastic IP) assigned to resources in your VPC, Amazon Global Accelerator, and AWS Site-to-site VPN tunnel | No charge | $0.01 |
| Additional (secondary) Elastic IP Address on a running EC2 instance | $0.01 | $0.01 |
| Idle Elastic IP Address in account | $0.01 | $0.01 |

*AWS Tabular column (Source: AWS)*


In addition, AWS has also added preventive measures on how to reduce the billing for IPv4 addresses. “I would like to encourage you to consider accelerating your adoption of IPv6,” reads the post from AWS by Jeff Barr, Chief Evangelist at AWS.


It has been more than 10 years since the announcement of IPv6 addresses. Organizations must consider this growth of IPv4 exhaustion and adopt IPv6 addresses to avoid complications.






## Tags:


### Autogenerated tags:
[[ipv4]] [[aws]] [[ip]] [[ipv6]]
