# Uber Hacked Again? - Data from Uber and Uber Eats Published on Hacking Forums
## Uber has been the subject of a new cyberattack. Early on Saturday morning, a threat actor going by the name of "UberLeaks" began publishing information on a hacking forum known for revealing data breaches.
## Information:

+ Link: https://cybersecuritynews.com/?p=12099
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 13 December 2022, 07:44
+ Date scraped: 13 December 2022, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiVaHb8F6HddljCup9vsW0Ag62JgY6EqahR-CYhT4gQB4gQ4wtOR5XeycBv4DuSrFiNtjaO26QA3-Htv7NH2O413mITy_PcRoNDZ8JgN_9AWonJVeZh7_2SGefJtZ1dSIqkKzKIN2YpMVm9OSLo5EoYiKqMFFtHdfVgwhIrFnLGaXUQqOlRDLXNnm5agg/s16000/Uber%20Hacked%20(1).webp)


Uber has been the subject of a new cyberattack. Early on Saturday morning, a threat actor going by the name of “UberLeaks” began publishing information on a hacking forum known for revealing data breaches.





Employee email addresses, company reports, and data on IT assets that were stolen from a third-party vendor are all included in the attack.


## **Specifics of the Uber Data Breach**


Numerous archives that claim to be source code for mobile device management platforms (MDM) used by Uber, Uber Eats, and other third-party vendor services are among the disclosed data.


The ‘UberLeak’ hacker created four different topics on the hacker forum, for each MDM platform deployment it had breached.


“The threat actor created four separate topics, allegedly for Uber MDM at [uberhub.uberinternal.com] and Uber Eats MDM, and the third-party Teqtivity MDM and TripActions MDM platforms”, [according to BleepingComputer](https://www.bleepingcomputer.com/news/security/uber-suffers-new-data-breach-after-attack-on-vendor-info-leaked-online/).


![Uber data leaked on a hacking forum](https://lh5.googleusercontent.com/vtthD8ifU4qYnmEiRX7an4MPg75ATxjf0fRP3Ts7Pr4J8dzjK6KJbRj22zGZ08ixu7eKykd2MI6rEfxTu2cRi9I-ds1khYqEHwFp_froPbvpo_oOFniO6XA9VORkPtPLPdMVdoiHDUD6Ro1W2JAR_jenW76bqcK4v5JjqkVSShWb2oAARc0l4hvc5q1p1niH3A0cSyNTaA)Uber information exposed on a hacker forum


Report states that each forum topic post makes a mention of a hacker from the [Lapsus$ gang](https://cybersecuritynews.com/beware-lapsus-ransomware-group/). Numerous high-profile hacks and breaches of prestigious companies, notably Uber, were the work of Lapsus$. This year’s September saw the most recent breach at Uber.


Email addresses and [Windows Active Directory data](https://cybersecuritynews.com/active-directory-checklist/) for more than 77,000 Uber employees are among the stolen information that BleepingComputer has seen.


“The newly leaked data consists of source code, IT asset management reports, data destruction reports, Windows domain login names and email addresses, and other corporate information”, reports BleepingComputer


Particularly, Uber has stated to BleepingComputer that the information is new and was stolen from a third-party source, not as part of the breach in September.


“We believe these files are related to an incident at a third-party vendor and are unrelated to our security incident in September. Based on our initial review of the information available, the code is not owned by Uber; however, we are continuing to look into this matter.” Uber


According to security researchers who have investigated the disclosure, none of Uber’s customers are mentioned in the hacked data, which relates to internal business information.


Nevertheless, it is been informed that the exposed data has sufficient specifics to enable targeted phishing attacks against Uber employees in order to obtain more sensitive data, such as login credentials.


[Uber also disclosed](https://cybersecuritynews.com/uber-hacked/) that threat actors had [just breached Teqtivity](https://www.teqtivity.com/breach-notification-statement/), a platform it utilizes for asset management and tracking services, and had stolen its data. Uber pointed out a Teqtivity data breach notice made public this afternoon, which says that a threat actor acquired access to a Teqtivity AWS backup server that Teqtivity uses to store data for its customers.


“The third party is still investigating but has confirmed that the data we’ve seen to date came from its systems, and to date, we have not seen any malicious access to Uber’s internal systems,” said Uber.


Hence, before replying to any phishing emails pretending to be from Uber IT help, all employees of the company should double-check the information.






## Tags:


### Autogenerated tags:
[[uber]] [[mdm]] [[third-party]] [[teqtivity]] [[bleepingcomputer]]
