# Slack updates policies after use of DMs for AI provokes outrage
## Slack has clarified its policies after users were outraged about their private data being used to train AI models.
## Information:

+ Link: https://cybernews.com/news/slack-ai-privacy-policy/
+ Source: CyberNews
+ Author: Paulina Okunytė
+ Date published: 20 May 2024, 08:34
+ Date scraped: 21 May 2024, 08:07

## Article:
![Main article image](https://media.cybernews.com/images/featured-big/2023/01/Shutterstock_1494303167.jpg)


***Slack has clarified its policies after users were outraged about their private data being used to train AI models.***


Slack received backlash from users after finding that its AI tools were being trained on user data, including messages, chat content, and files. Launched in February, Slack AI is a suite of tools that provides chat summaries, autocomplete, emoji recommendations, and conversational searches.


Discontent brewed for a few days on X and the Hacker News forum, with users complaining that all paying users were opted-in for the training by default, and opting out was not easily accessible. The workspace owner had to email Slack to opt-out.





![X post](https://media.cybernews.com/2024/05/post.png)


Source: https://x.com/QuinnyPig/status/1791220276350390575





Some users expressed privacy concerns, as such practices might lead to the potential misuse of user private communications and might conflict with data protection regulations like GDPR.


"Just completely disingenuous that they still pretend to care about customer privacy after rolling this out with silent-opt-in and without adding an easy opt-out option in the Slack admin panel,"​ wrote one user on a Hacker News [thread](https://news.ycombinator.com/item?id=40383978&ref=thestack.technology).


In an April [blog post](https://slack.engineering/how-we-built-slack-ai-to-be-secure-and-private/), the company claimed that it does not train large language models (LLMs) on customer data, it only operates on the data that the user can already see and upholds all of Slack’s enterprise-grade security and compliance requirements. However, users couldn’t find evidence of these claims in the Slack AI privacy policy.


As per Internet Archive, Slack updated its [policies](https://slack.com/intl/en-gb/trust/data-management/privacy-principles) on May 17th by adding that the company uses generative AI for its products by leveraging third-party LLMs, and no customer data is used to train third-party LLM models. 


“Slack does not train LLMs or other generative models on Customer Data or share Customer Data with any LLM providers,” the company writes. It also adds that Slack AI hosts models on its own AWS infrastructure, and the providers of the LLM have no access to the customer data.


Owned by Salesforce, Slack is a popular communication and productivity tool used by numerous companies worldwide. In 2024, the application had around 38.8 million daily active users and 65 million monthly active users.







---





## Tags:
***urls***: https://x.com/QuinnyPig/status/1791220276350390575

### Autogenerated tags:
[[llms]] [[llm]]
