# Pizza Hut Australia customer data hacked; ShinyHunters claims to have more than 1 million customers’ information
## This has not been a great year for Australian citizens whose personal information has been compromised in a number of cyberattacks. Although DataBreaches...
## Information:

+ Link: https://www.databreaches.net/pizza-hut-australia-customer-data-hacked-shinyhunters-claims-to-have-more-than-1-million-customers-information/
+ Source: DataBreaches
+ Author: Dissent
+ Date published: 03 September 2023, 09:58
+ Date scraped: 11 December 2023, 12:24

## Article:
![Main article image](https://www.databreaches.net/wp-content/uploads/whatsyourexcuse-2.jpg)


This has not been a great year for Australian citizens whose personal information has been compromised in a number of cyberattacks. Although DataBreaches regrets being the bearer of more bad news for them, more than one million customers of **Pizza Hut Australia** appear to have had their data acquired by ShinyHunters.


According to “Shiny” (@shinycorp), the group gained access 1-2 months ago via Amazon Web Services (AWS) using multiple entry points. They claim to have exfiltrated more than 30 million records with customers’ orders as well as information on more than 1 million customers.


Shiny states that they were never detected during the attack.


As proof of claims, DataBreaches was provided with two sample files. The sample file for orders contained 200,000 records with the following headers:


OrderId|OrderReference|ExternalReference|ChannelName|ChannelType|ApiUserId|ServiceType|CreatedAt|ChangedAt|OrderedAt|OrderDueAt|StoreId|StoreName|CustomerId|FirstName|LastName|EmailAddress|PhoneNumber|PostalCode|PaymentType|PaymentReference|PaymentResponse|BasketDetail|OrderDetail|WebHookUrl|Source|PosCustomerSequenceNumber|CustomerSequenceNumber|CheckNumber|CheckSequenceNumber|FullName|GesReminder|Status|CreatedAtDate|OrderDueAtDate|GesReminderRedirected|OrderShortId|GesCode|MobilePhone|OptinEmail|OptinSms|UserId|OrderNote|baskettotal


The second sample file was a json file containing 100,000 customers’ names, email addresses, postal addresses, longitude, mobile phone numbers, passwords, service type (delivery or pickup), and credit card numbers. The credit card data was encrypted and the passwords were hashed, but the other fields were all plaintext.


Spot-checking customer names, DataBreaches was able to verify that there were people with the customers’ names in the right geographic area for the data samples.


Shiny states that they are demanding $300,000.00 to delete all the data. ShinyHunters has a reputation for selling or leaking data when their victims don’t pay their extortion demands, and so far, Pizza Hut hasn’t responded to them at all.


Like many other chains, Pizza Hut Australia has franchises. Whether corporate handles data storage and security for the franchises as part of their contracts is unknown to DataBreaches at this point, but it seems likely given that one of the fields in the orders data is “StoreID.”


Pizza Hut Australia’s website notes that they do not offer any support by email, but with a little digging, DataBreaches obtained contact information for the firm’s CEO, CFO, and COO. Emails were sent to all three of them yesterday and two of them were also messaged on LinkedIn to tell them to check for email from this site. Questions put to them included asking them whether they had been aware that they had been hacked. DataBreaches also inquired whether they had notified law enforcement, regulators, or customers about the breach.


No reply has been received by publication, but this post will be updated as more information becomes available. There is currently no notice on Pizza Hut Australia’s website alerting customers to any data security incident that involves their credit card numbers.





## Tags:


### Autogenerated tags:
[[databreaches]]
