# Greylock Makes $10M Bet on Bedrock Security
## Silicon Valley startup has deposited $10 million in seed-stage funding to help organizations manage risk from cloud and gen-AI products.
## Information:

+ Link: https://www.securityweek.com/greylock-makes-10m-bet-on-bedrock-security/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 26 March 2024, 13:33
+ Date scraped: 26 March 2024, 14:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Silicon Valley startup Bedrock Security has deposited $10 million in seed-stage funding to work on technology to help companies manage risk introduced by cloud and generative-AI products.**


The company said the funding round was led by Greylock Partners.

Bedrock is building technology to help corporate defenders to continuously discover, manage, and protect sensitive data. The Menlo Park company said it is working on a data AI Reasoning (AIR) Engine capable of automatically understanding what data is most material to an enterprise.

The brainchild of data security engineers from Rubrik, AWS and VMware, the idea is to use modern tooling to fully understanding an organization’s data at the scale and speed demanded by modern enterprises.

At its core, Bedrock said its product will use AI reasoning to go beyond fixed rules for the more accurate data discovery, classification, and mapping.

“This approach extends to tracking regulated data and core IP, for example, that may be used to train GenAI models. Through AIR’s technology, including data similarity, topic detection, and identity and activity analysis, Bedrock provides a clear picture of data usage and risk within one unified platform,” the company said.

Bedrock said its technology can be used to set up data perimeters to ring fence regulated data and core IP, excluding them from use in GenAI models and applications. Bedrock minimizes response times and maintains accuracy by employing patented

**Related:** [IBM Snaps up DSPM Startup Polar Security](https://www.securityweek.com/ibm-snaps-up-dspm-startup-polar-security/)


**Related:** [Dymium Snags $7M for Data Security Platform with Secure AI Chat](https://www.securityweek.com/dymium-snags-7m-to-build-data-security-platform-with-secure-ai-chat/)


**Related:** [Harmonic Lands $7M Funding to Secure Generative AI Deployments](https://www.securityweek.com/harmonic-lands-7m-funding-to-secure-generative-ai-deployments/)


**Related:** [Generative AI Startup Nexusflow Raises $10.6 Million](https://www.securityweek.com/generative-ai-startup-nexusflow-raises-10-6-million/)





## Tags:


### Autogenerated tags:

