# Normalyze Announces $22 Million for DSPM Technology
## Normalyze closes a $22 million funding round as venture capitalists rush to place bets on the newly coined Data Security Posture Management (DSPM) space.
## Information:

+ Link: https://www.securityweek.com/normalyze-announces-22-million-dspm-technology
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 29 June 2022, 08:13
+ Date scraped: 29 June 2022, 08:13

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Normalyze, based in San Francisco, said the funding round was co-led by Lightspeed Venture Partners and Battery Ventures and brings the total raised to $26.6 million.


Normalyze joins a cadre of well-capitalized early stage startups hawking machine learning tools to help businesses pinpoint security risks to digital assets in multi-cloud environments. Over the last year, startups like Symmetry Systems ([$15 million raised](https://www.securityweek.com/data-security-company-symmetry-systems-raises-15-million)), Veza ([$110 million raised](https://www.securityweek.com/data-security-firm-veza-emerges-stealth-110-million-funding)), Laminar ([$30 million](https://www.securityweek.com/cloud-data-security-startup-laminar-raises-30-million)), Securiti.ai ([$31 million](https://www.securityweek.com/privacy-platform-provider-securitiai-emerges-stealth-31-million-funding)) and Dig Security ([$11 million](https://www.securityweek.com/cloud-data-security-firm-dig-emerges-stealth-11-million-funding)) joined several so-called 'unicorns' in the data security space.


The emergence of these new Data Security Posture Management startups suggest a major gap in the way data stores are protected and new tools to help different teams in an organization to discover and classify attack paths to sensitive data stored in AWS, Azure or GCP.


Normalyze described its technology as a graph-powered platform that lets security teams continuously analyze, prioritize, and respond to cloud data threats and prevent sensitive data loss.


"[Our] secret sauce is its ability to gather all security stakeholders –  from the CISO to the security engineer, to DevOps –  in one user interface to discover data, classify it, and prioritize discovery of attack paths that can lead to sensitive information," the company said in a note announcing the new financing.


The company argued that data security in the modern enterprise has become overly complex due the proliferation of data, an explosion of microservices, rapid cloud adoption, hybrid work environments, and compliance.


"Today’s enterprises find their data scattered throughout their various cloud environments with limited visibility of where sensitive data resides. It’s a massive problem," said Normalyze CEO Amer Deeba. "We built Normalyze to help companies of all sizes discover, classify and secure sensitive data across all public clouds," he added.


The company is promising simple onboarding and minimum ramp up time to help defenders gain full visibility on data security posture.


**Related: [Data Security Company Symmetry Systems Raises $15 Million](https://www.securityweek.com/data-security-company-symmetry-systems-raises-15-million)**


**Related: [Data Security Firm Veza Closes $110 Million Funding Round](https://www.securityweek.com/data-security-firm-veza-emerges-stealth-110-million-funding)**


**Related: [Cloud Data Security Startup Laminar Raises $30 Million](https://www.securityweek.com/cloud-data-security-startup-laminar-raises-30-million)**


 


## Tags:


### Autogenerated tags:
[[normalyze]] [[cloud]]
