# Sumo Logic Completes Investigation Into Recent Security Breach
## Sumo Logic has completed its investigation into the recent security breach and found no evidence of impact to customer data.
## Information:

+ Link: https://www.securityweek.com/sumo-logic-completes-investigation-into-recent-security-breach/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 21 November 2023, 10:59
+ Date scraped: 21 November 2023, 11:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Cloud monitoring, log management, and SIEM tools provider Sumo Logic has completed its investigation into a recent security incident and the company says it has found no evidence of impact to customer data.**


“We are grateful to share that the diligent investigation led by our security and engineering teams uncovered no proof of customer data impact and no threat of customer data impact present,” Sumo Logic said in an [update](https://www.sumologic.com/security-response-center/) shared on Monday. “These findings were verified by third-party forensic experts and the investigation of this incident is now complete and closed.”


The company has also shared indicators of compromise (IoCs) and instructions on how customers can check their own environments.

[Sumo Logic disclosed the security breach](https://www.securityweek.com/sumo-logic-urges-users-to-change-credentials-due-to-security-breach/) on November 7, when it informed customers that it had discovered a potential security incident on November 3. 


The company said at the time that it had identified unauthorized access to an AWS account using compromised credentials.

While it did not appear that networks, systems or customer data had been compromised, Sumo Logic urged customers to immediately rotate API access keys, as well as various other credentials as a precaution.

Sumo Logic was taken private earlier this year after being acquired by private equity firm Francisco Partners for $1.7 billion.

**Related**: [Fortra Completes Investigation Into GoAnywhere Zero-Day Incident](https://www.securityweek.com/fortra-completes-investigation-into-goanywhere-zero-day-incident/)


**Related**: [Okta Support System Hacked, Sensitive Customer Data Stolen](https://www.securityweek.com/okta-support-system-hacked-sensitive-customer-data-stolen/)


**Related**: [Mortgage Giant Mr. Cooper Shuts Down Systems Following Cyberattack](https://www.securityweek.com/mortgage-giant-mr-cooper-shuts-down-systems-following-cyberattack/)





## Tags:


### Autogenerated tags:

