# Tech CEOs Altman, Nadella, Pichai and Others Join Government AI Safety Board Led by DHS’ Mayorkas
## Technology and critical Infrastructure executives join new DHS Artificial Intelligence Safety and Security Board
## Information:

+ Link: https://www.securityweek.com/tech-ceos-altman-nadella-pichai-and-others-join-government-ai-safety-board-led-by-dhs-mayorkas/
+ Source: SecurityWeek
+ Author: Associated Press
+ Date published: 30 April 2024, 01:49
+ Date scraped: 30 April 2024, 02:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**The CEOs of leading U.S. technology companies are joining a new artificial intelligence safety board to advise the federal government on how to protect the nation’s critical services from “AI-related disruptions.”**


Homeland Security Secretary Alejandro Mayorkas [announced](https://www.dhs.gov/news/2024/04/26/over-20-technology-and-critical-infrastructure-executives-civil-rights-leaders) the new board Friday which includes key corporate leaders in AI development such as OpenAI CEO Sam Altman, Microsoft CEO Satya Nadella, Google CEO Sundar Pichai and Nvidia CEO Jensen Huang.


AI holds potential for improving government services but “we recognize the tremendously [debilitating impact](https://www.airisksummit.com/) its errant use can have,” Mayorkas told reporters Friday.


Also on the 22-member board are the CEOs of Adobe, chipmaker Advanced Micro Devices, Delta Air Lines, IBM, Northrop Grumman, Occidental Petroleum and Amazon’s AWS cloud computing division. Not included were social media companies such as Meta Platforms and X.


Corporate executives dominate, but it also includes civil rights advocates, AI scientist Fei-Fei Li who leads Stanford University’s AI institute as well as Maryland Gov. Wes Moore and Seattle Mayor Bruce Harrell, two public officials who are “already ahead of the curve” in thinking about harnessing AI’s capabilities and mitigating risks, Mayorkas said.


He said the board will help the Department of Homeland Security stay ahead of evolving threats.





## Tags:


### Autogenerated tags:
[[ceo]] [[mayorkas]]
