# Uber Confirms Hacker Accessed Internal Tools, Bug Bounty Dashboard
## Uber is downplaying the impact from a devastating security breach that included the theft of employee credentials, access to the HackerOne bug bounty dashboard and data from an internal invoicing tool.
## Information:

+ Link: https://www.securityweek.com/uber-confirms-hacker-accessed-bug-bounty-dashboard-internal-tools
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 19 September 2022, 20:00
+ Date scraped: 19 September 2022, 20:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


In a note published Monday, Uber confirmed that an external contractor had their account compromised by an attacker who used that access to elevate permissions on Google GSuite and the Slack communications platforms.


Uber acknowledged that the attacker had access to several internal tools but insisted that public-facing systems that handle credit cards, bank account information or ride-share trip history remained safe.


From [Uber’s latest breach update](https://www.uber.com/newsroom/security-update):



> 
>   
> 
> 
> 
> We reviewed our codebase and have not found that the attacker made any changes. We also have not found that the attacker accessed any customer or user data stored by our cloud providers (e.g. AWS S3)."
> 
> 
> 


**[ READ: [Uber Investigating Data Breach After Hacker Claims Extensive Compromise](https://www.securityweek.com/uber-investigating-data-breach-after-hacker-claims-extensive-compromise) ]**


The company said the attacker successfully downloaded internal Slack messages and data from an internal tool our finance team uses to manage some invoices. “We are currently analyzing those downloads,” Uber said.


More ominously, Uber said the attacker was able to access its bug bounty dashboard at HackerOne, suggesting the exposure of data on security vulnerabilities.  “However, any bug reports the attacker was able to access have been remediated,” the company said.


“Throughout, we were able to keep all of our public-facing Uber, Uber Eats, and Uber Freight services operational and running smoothly. Because we took down some internal tools, customer support operations were minimally impacted and are now back to normal.”


**[ READ: [The Chaos (and Cost) of the Lapsus$ Hacking Carnage](https://www.securityweek.com/chaos-and-cost-lapsus-hacking-carnage) ]**


Uber said it believes the  attacker purchased the contractor’s Uber corporate password on the dark web, after the contractor’s personal device had been infected with malware, exposing those credentials.


“The attacker then repeatedly tried to log in to the contractor’s Uber account. Each time, the contractor received a two-factor login approval request, which initially blocked access. Eventually, however, the contractor accepted one, and the attacker successfully logged in.


From there, the attacker accessed several other employee accounts which ultimately gave the attacker elevated permissions to a number of tools, including G-Suite and Slack,” Uber explained.


The attacker then posted a message to a company-wide Slack channel, which many of you saw, and reconfigured Uber’s OpenDNS to display a graphic image to employees on some internal sites.


The company said it believes the [notorious Lapsus$ hacking gang](https://www.securityweek.com/chaos-and-cost-lapsus-hacking-carnage) in behind the compromise.



**Related: [Twilio, Cloudflare Attacked in Campaign That Hit Over 130 Organizations](https://www.securityweek.com/twilio-cloudflare-attacked-part-campaign-hit-over-130-organizations)**


**Related: [Okta Says Customer Data Compromised in Twilio Hack](https://www.securityweek.com/okta-says-customer-data-compromised-twilio-hack)**


 


## Tags:


### Autogenerated tags:
[[uber]]
