# Russian foreign ministry claims to be the target of ‘coordinated' cyber aggression
## Russia’s deputy foreign minister claimed this weekend that the country has been the target of “coordinated aggression” in cyberspace.
## Information:

+ Link: https://therecord.media/russian-foreign-ministry-claims-to-be-the-target-of-coordinated-cyber-aggression/
+ Source: The Record
+ Author: Alexander Martin
+ Date published: 30 January 2023, 14:38
+ Date scraped: 30 January 2023, 15:00

## Article:
![Main article image](https://therecord.media/wp-content/uploads/2023/01/Russian-foreign-ministry.jpg)


Russia’s deputy foreign minister claimed this weekend that the country has been the target of “coordinated aggression” in cyberspace conducted by “intelligence agencies, transnational IT corporations, and hacktivists.”


Oleg Syromolotov, a former deputy director and counterintelligence chief for the Russian Federal Security Service (FSB), told the [TASS news agency](https://tass.com/russia/1568405) that “in 2022, Russia faced unprecedented external cyberattacks.”


“The number of such attacks doubled and even tripled in the past year. We recorded numerous attacks on the Russian Foreign Ministry’s information resources,” the deputy minister added in an interview which did not reference the country’s full-blown invasion of Ukraine, even as a special military operation.


Following the invasion last February, the Russian Federation has been the subject of wide-ranging sanctions and embargoes. Domestically these are described as attempts to “contain” Russia and not acknowledged to be a response to the invasion or the war crimes committed during it, including the rape and torture of children as [an independent and impartial UN Commission](https://www.ohchr.org/en/statements/2022/09/update-chair-independent-international-commission-inquiry-ukraine-51st-session) has found.


Syromolotov made a [similar claim about Russia being targeted by the West](https://therecord.media/west-conducting-cyber-sabotage-on-russia-deputy-foreign-minister-claims/) last October, telling the state-owned news agency RIA Novosti “the countries of North America and the European Union” are to blame for a campaign of cyber “sabotage.”


In neither interview did he reference individual incidents or provide a specific attribution, as is the standard when the United States and United Kingdom [blame Russian cyber units](https://www.ncsc.gov.uk/news/reckless-campaign-cyber-attacks-russian-military-intelligence-service-exposed) for “indiscriminate and reckless” cyberattacks.


Syromolotov said: “Our ill-wishers seek to cause as much damage as possible, using all the possible tools to hit our country’s critical infrastructure. The government sector took the main blow in 2022.”


“Not only are we recording a rise in attacks, but their complexity is also growing. Ukraine, which has long lost its independence, is used by its sponsors as a springboard for cyberattacks on Russia and its partners,” he added.


Syromolotov also claimed that “private companies from unfriendly countries” are “involved in activities aimed at achieving” the Ukrainian government’s “attempts to increase its offensive capabilities in terms of information and communication technologies.”


He named cloud computing giants Amazon and Microsoft as among the offenders, describing them as “taking care of the Ukrainian government’s key information resources” — which is not an offensive capability. Both companies withdrew their operations from Russia last March in response to the invasion.


A spokesperson for Microsoft declined to comment. The company [announced](https://blogs.microsoft.com/on-the-issues/2022/11/03/our-tech-support-ukraine/) last November that it was providing technology aid to Ukraine “valued at roughly $100 million, which will ensure that government agencies, critical infrastructure and other sectors in Ukraine can continue to run their digital infrastructure and serve citizens through the Microsoft Cloud.”


A spokesperson for Amazon did not respond immediately. Last December the company said it had “committed more than $75 million in support” to Ukraine and that Amazon Web Services was “helping the Ukraine government maintain continuity and provide critical services to citizens since the onset of the war.”


Russian cyberattacks have persistently targeted [Ukraine’s digital and physical infrastructure](https://therecord.media/life-during-wartime-ukraine-has-to-be-ready-for-new-more-powerful-and-complex-cyberattacks/). Mykhailo Fedorov, Ukraine’s vice prime minister, told [an AWS event](https://www.theregister.com/2022/11/30/ukraine_cloud_migration/) last year: “As you know the Russians are targeting our energy infrastructure… what we like the most about this partnership with cloud companies is that Russian missiles can’t destroy the cloud.”


Russia’s deputy foreign minister Syromolotov also told TASS: “Ukraine’s Ministry of Digital Transformation has made a cooperation agreement with the US-based company Recorded Future, close to the CIA,” again without specifying any particular wrongdoing. The Record is an editorially independent unit of Recorded Future, which announced [a memorandum of cooperation](https://www.recordedfuture.com/press-releases/120622) with the ministry in December.


A spokesperson for Recorded Future said: “Recorded Future is incredibly proud of the work we’re doing to support Ukraine in their war against Russia. The defenses we’ve provided through intelligence have not been a secret over the past year, and we will continue to provide our full support to Ukraine.”





## Tags:


### Autogenerated tags:
[[syromolotov]] [[cyberattacks]] [[microsoft]]
