# Uber confirms it is investigating cybersecurity incident
## Uber confirmed on Thursday it was responding to a cybersecurity incident following reports the company had taken several internal communications and engineering systems offline after staff had been contacted by a hacker.
## Information:

+ Link: https://therecord.media/uber-confirms-it-is-investigating-cybersecurity-incident/
+ Source: The Record
+ Author: Alexander Martin
+ Date published: 16 September 2022, 11:52
+ Date scraped: 16 September 2022, 12:00

## Article:
![Main article image](https://therecord.media/wp-content/uploads/2022/09/uber.jpg)


Uber confirmed on Thursday it was responding to a cybersecurity incident following reports the company had taken several internal communications and engineering systems offline after staff had been contacted by a hacker.


A person claiming to have broken into the ride-hailing company’s network [contacted The New York Times](https://www.nytimes.com/2022/09/15/technology/uber-hacking-breach.html) with evidence of the breach, including “images of email, cloud storage and code repositories”.


They also contacted several security researchers claiming to have obtained log-in credentials for some of the company’s most sensitive business accounts.




> Apparently there was an internal network share that contained powershell scripts…  
>   
> "One of the powershell scripts contained the username and password for a admin user in Thycotic (PAM) Using this i was able to extract secrets for all services, DA, DUO, Onelogin, AWS, GSuite" [pic.twitter.com/FhszpxxUEW](https://t.co/FhszpxxUEW)
> 
> — Corben Leo (@hacker\_) [September 16, 2022](https://twitter.com/hacker_/status/1570582547415068672?ref_src=twsrc%5Etfw)





Following the New York Times report [the company tweeted](https://twitter.com/Uber_Comms/status/1570584747071639552): “We are currently responding to a cybersecurity incident. We are in touch with law enforcement and will post additional updates here as they become available.”


The hacker said they compromised an Uber employee’s Slack account and used it to send a message to staff stating “I announce I am a hacker and Uber has suffered a data breach” before listing several internal databases they claimed to have accessed.


The hacker told The New York Times they had been able to take control of a staff member’s account through social engineering. The hacker also said he was male and 18 years old and “had broken into Uber’s systems because the company had weak security”.


Among his other activities on Uber’s networks was posting what was described as a pornographic an internal information page for employees, alongside the message: “Fuck you wankers.”


Security researcher Sam Curry tweeted that the hacker had also accessed vulnerability reports filed on Uber to HackerOne and had commented beneath several of them.




> Someone hacked an Uber employees HackerOne account and is commenting on all of the tickets. They likely have access to all of the Uber HackerOne reports. [pic.twitter.com/00j8V3kcoE](https://t.co/00j8V3kcoE)
> 
> — Sam Curry (@samwcyo) [September 16, 2022](https://twitter.com/samwcyo/status/1570577801790783493?ref_src=twsrc%5Etfw)





Curry said the hacker “likely [has] access to all of the Uber HackerOne reports” which could include known vulnerabilities that have not yet been fixed. The bug bounty account for Uber is now closed.


It is not the first time that hackers have managed to break into Uber’s network.


The company announced in 2017 that it had terminated the employment of its security chief Joseph Sullivan after it emerged that he had paid hackers $100,000 to delete customer data they had stolen a year earlier.


Uber subsequently [paid $148 million to the U.S. Federal Trade Commission](https://www.ftc.gov/news-events/news/press-releases/2018/10/federal-trade-commission-gives-final-approval-settlement-uber) for concealing the breach in a settlement regarding claims against the company launched by all 50 U.S. States.


The company also paid smaller fines to data protection regulators in the UK and The Netherlands.


Sullivan was [subsequently charged by the U.S. Department of Justice](https://www.justice.gov/usao-ndca/pr/former-uber-chief-security-officer-face-wire-fraud-charges-0) for the attempted cover-up with obstruction of justice, misprision of a felony, and three counts of wire fraud.


His trial is currently being heard by the U.S. District Court in San Francisco.





## Tags:


### Autogenerated tags:
[[uber]] [[hackerone]] [[u.s]]
