# This Week in Security News: AWS Outposts Ready Launches With 32 Validated Partners and Staples Hit by a Data Breach -
## Welcome to our weekly roundup, where we share what you need to know about the cybersecurity news and events that happened over the past few days. This week, learn about how solutions from 32 Amazon Web Services partners – including Trend Micro – are now available for AWS customers to use with their deployments of...
## Information:

+ Link: https://blog.trendmicro.com/this-week-in-security-news-aws-outposts-ready-launches-with-32-validated-partners-and-staples-hit-by-a-data-breach/
+ Source: Trend Micro
+ Author: Jon Clay (Global Threat Communications)
+ Date published: 18 September 2020, 12:03
+ Date scraped: 03 December 2021, 18:31

## Article:
![Main article image](https://blog.trendmicro.com/wp-content/uploads/2018/05/Week-in-Security-News-Logo_RGB.jpg)

## Article:
![Article Image](https://blog.trendmicro.com/wp-content/uploads/2018/05/Week-in-Security-News-Logo_RGB.jpg)


Welcome to our weekly roundup, where we share what you need to know about the cybersecurity news and events that happened over the past few days. This week, learn about how solutions from 32 Amazon Web Services partners – including Trend Micro – are now available for AWS customers to use with their deployments of AWS Outposts. Also, read about a data breach at U.S. office-supply retailer Staples.


 


Read on:


[**Boosting Impact for Profit: Evolving Ransomware Techniques for Targeted Attacks**](https://www.trendmicro.com/en_us/research/20/i/boosting-impact-for-profit-evolving-ransomware-techniques-for-targeted-attacks.html)


*As described in Trend Micro’s 2020 Midyear Roundup, the numbers pertaining to ransomware no longer tell the full story. While the number of infections, company disclosures, and ransomware families has gone down, the estimated amount of money exchanged for the retrieval of encrypted data has steadily gone up. By going after institutions and companies with the urgent need to retrieve their data and get their systems running again, cybercriminals are able to demand exorbitant amounts of ransom.*


[**AWS Outposts Ready Launches with 32 Validated Partners**](https://www.crn.com/news/cloud/aws-outposts-ready-launches-with-32-validated-partners)


*Solutions from 32 Amazon Web Services partners, including Trend Micro, are available now for AWS customers to use with their deployments of AWS Outposts, the on-premises version of the industry’s leading public cloud.*


[**Analysis of a Convoluted Attack Chain Involving Ngrok**](https://www.trendmicro.com/en_us/research/20/i/analysis-of-a-convoluted-attack-chain-involving-ngrok.html)


*The Trend Micro Managed XDR team recently handled an incident involving one of Trend Micro’s customers. The incident revealed how a malicious actor incorporated certain techniques into an attack, making it more difficult for blue teams and security researchers alike to analyze the chain of events in a clean and easily understandable manner. In this blog, Trend Micro further analyzes the attack.*


[**39% of Employees Access Corporate Data on Personal Devices**](https://www.infosecurity-magazine.com/news/corporate-data-on-personal-devices/)


*A large proportion of employees are using their own devices to access data belonging to their company, according to a new study by Trend Micro. Researchers found that 39% of workers use personal smartphones, tablets, and laptops to access corporate data, often via services and applications hosted in the cloud.*


[**A Blind Spot in ICS Security: The Protocol Gateway Part 2: Vulnerability Allowing Stealth Attacks on Industrial Control Systems**](https://www.trendmicro.com/us/iot-security/news/6218/A_Blind_Spot_in_ICS_Security_The_Protocol_Gateway_Part_2_Vulnerability_Allowing_Stealth_Attacks_on_Industrial_Control_Systems)


*In this blog series, Trend Micro analyzes the impacts of the serious vulnerabilities detected in the protocol gateways and shares the security countermeasures that security administrators in smart factories must take. In the second part of this series, Trend Micro presents an overview of the verification methods, results of this research, and describes “flaws in the protocol conversion function,” one of the security risks revealed through Trend Micro’s experiments.*


[**Staples Hit by Data Breach: What to Do Now**](https://www.tomsguide.com/news/staples-data-breach)


*U.S. office-supply retailer Staples says its recent data breach affected fewer than 2,500 customers. Australian security researcher Troy Hunt, who runs the HaveIBeenPwned website, used his Twitter account to post a copy of an email message sent to an unknown number of Staples online customers.*


[**“Zerologon” and the Value of Virtual Patching**](https://www.trendmicro.com/en_us/research/20/i/zerologon-and-value-of-virtual-patching.html)


*A new CVE was released recently that has made quite a few headlines – CVE-2020-1472, also known as Zerologon. This CVE can allow an attacker to take advantage of the cryptographic algorithm used in the Netlogon authentication process and impersonate the identity of any computer when trying to authenticate against the domain controller.*


[**Billions of Devices Vulnerable to New ‘BLESA’ Bluetooth Security Flaw**](https://www.zdnet.com/article/billions-of-devices-vulnerable-to-new-blesa-bluetooth-security-flaw/#ftag=RSSbaffb68)


*Billions of smartphones, tablets, laptops, and IoT devices are using Bluetooth software stacks that are vulnerable to a new security flaw disclosed this summer. Named BLESA (Bluetooth Low Energy Spoofing Attack), the vulnerability impacts devices running the Bluetooth Low Energy (BLE) protocol.* *BLE is a slimmer version of the original Bluetooth (Classic) standard but designed to conserve battery power while keeping Bluetooth connections alive as long as possible.*


[**California Elementary Kids Kicked Off Online Learning by Ransomware**](https://threatpost.com/california-elementary-kids-online-learning-ransomware/159319/)


*As students head back to the classroom, the wave of ransomware attacks against schools is continuing. The latest is a strike against a California school district that closed down remote learning for 6,000 elementary school students, according to city officials. The cyberattack, against the Newhall School District in Valencia, affected all distance learning across 10 different grade schools.*


[**Mobile Messengers Expose Billions of Users to Privacy Attacks**](https://www.helpnetsecurity.com/2020/09/17/mobile-messengers-privacy/?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+HelpNetSecurity+%28Help+Net+Security%29)


*When installing a mobile messenger like WhatsApp, new users can instantly start texting existing contacts based on the phone numbers stored on their device. For this to happen, users must grant the app permission to access and regularly upload their address book to company servers in a process called mobile contact discovery. A new research study shows that currently deployed contact discovery services severely threaten the privacy of billions of users.* 


Should employees be able to access company data via their personal devices? Share your thoughts in the comments below or follow me on Twitter to continue the conversation: [@JonLClay.](https://twitter.com/jonlclay)







### Related posts:

1. [This Week in Security News: Trend Micro’s Zero Day Initiative Celebrates 15 Years and 24 Million Customers Affected after Experian Data Breach](https://blog.trendmicro.com/this-week-in-security-news-trend-micros-zero-day-initiative-celebrates-15-years-and-24-million-customers-affected-after-experian-data-breach/ "This Week in Security News: Trend Micro’s Zero Day Initiative Celebrates 15 Years and 24 Million Customers Affected after Experian Data Breach")
2. [This Week in Security News: Phishing Campaigns and a Biometric Data Breach](https://blog.trendmicro.com/this-week-in-security-news-phishing-campaigns-and-a-biometric-data-breach/ "This Week in Security News: Phishing Campaigns and a Biometric Data Breach")
3. [This Week in Security News: Trend Micro Research Uncovers the Business Infrastructure of Cybercrime and Apple Launches Security Device Research Program](https://blog.trendmicro.com/this-week-in-security-news-trend-micro-research-uncovers-the-business-infrastructure-of-cybercrime-and-apple-launches-security-device-research-program/ "This Week in Security News: Trend Micro Research Uncovers the Business Infrastructure of Cybercrime and Apple Launches Security Device Research Program")
4. [This Week in Security News: Trend Micro Launches its XDR Center in India and EU Reports 5G Cybersecurity Risks](https://blog.trendmicro.com/this-week-in-security-news-trend-micro-launches-its-xdr-center-in-india-and-eu-reports-5g-cybersecurity-risks/ "This Week in Security News: Trend Micro Launches its XDR Center in India and EU Reports 5G Cybersecurity Risks")








## Tags:
***CVE's***: CVE-2020-1472
***email-adresses***: databreach@u.s

### Autogenerated tags:
[[bluetooth]] [[aws]] [[ransomware]]
