# Deloitte launches new SaaS cyber threat detection and response platform | ZDNet
## AWS, CrowdStrike, Exabeam, and Google Cloud Chronicle are operationalizing the new platform.
## Information:

+ Link: https://www.zdnet.com/article/deloitte-launches-new-saas-cyber-threat-detection-and-response-platform/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 19 January 2022, 16:00
+ Date scraped: 19 January 2022, 18:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/74cda0cf81afeb660da7bc7a43c0cc96be178072/2021/12/21/76a4658e-4ec0-4414-be1c-5392105d5c41/zdnet-a-z-cybersecurity.jpg?width=770&height=578&fit=crop&auto=webp)


Deloitte has launched a new threat detection and response platform for enterprise clients. 


On Wednesday, the professional services giant said that the latest solution added to the Deloitte cybersecurity portfolio is called Managed Extended Detect and Response (MXDR), a Software-as-a-Service (SaaS) platform for "flexible, technology-enabled, human-powered security operations."

The MXDR SaaS solution aims to provide an "integrated, unified, composable and modular managed detection and response" suite to clients, including threat detection, response, and remediation capabilities.  

Cloud security workloads, zero trust identity management systems, insider threats, attack surface & vulnerability management, as well as log and analytics management are included in the suite. 

Security operation centers in the US and in FedRAMP-authorized centers worldwide manage the service 24/7, 365 days a year.  

According to Deloitte, MXDR was initially operationalized by AWS, CrowdStrike, Exabeam, Google Cloud Chronicle, ServiceNow, Splunk, and Zscaler. More vendors will contribute to MXDR as the product line evolves.  

"As threats become more frequent, sophisticated and impactful, leading organizations are considering creative, divergent approaches that meet attackers where they are, while simultaneously fortifying the defenses around their most important assets. But, the cost and complexity of consolidating, building and maintaining such cybersecurity infrastructure in-house can be high," commented Curt Aubley, MXDR by Deloitte leader. "We designed Managed Extended Detection and Response by Deloitte to offer our clients access to a broad suite of industry-leading capabilities that align with their current and future cyber needs." 

###  Previous and related coverage

* [Deloitte acquires Oracle Cloud Infrastructure firm BIAS](https://www.zdnet.com/article/deloitte-acquires-oracle-cloud-infrastructure-firm-bias/)
* [Deloitte scoops up digital risk protection company Terbium Labs](https://www.zdnet.com/article/deloitte-scoops-up-digital-risk-protection-company-terbium-labs/)
* [Deloitte: Digitally mature businesses more resilient, profitable during COVID-19](https://www.zdnet.com/article/deloitte-digitally-mature-businesses-more-resilient-profitable-during-covid-19/)



---






**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:


### Autogenerated tags:
[[deloitte]] [[mxdr]] [[cloud]]
