# Illinois fertility clinic, online pharmacy giant Ravkoo report data breaches | ZDNet
## Troves of sensitive information were leaked from both healthcare companies, which reported the breaches to state authorities.
## Information:

+ Link: https://www.zdnet.com/article/illinois-fertility-clinic-online-pharmacy-giant-ravkoo-report-breaches/
+ Source: ZDNet
+ Author: Jonathan Greig
+ Date published: 06 January 2022, 22:58
+ Date scraped: 07 January 2022, 01:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/a0a5f38d804ab275b466f9ccd61570d0d1915ea2/2022/01/06/19b6694e-45f3-4931-a85e-e89b7d083d51/shutterstock-1068375200.jpg?width=770&height=578&fit=crop&auto=webp)

## Article:
![Article Image](https://www.zdnet.com/a/img/resize/a0a5f38d804ab275b466f9ccd61570d0d1915ea2/2022/01/06/19b6694e-45f3-4931-a85e-e89b7d083d51/shutterstock-1068375200.jpg?width=770&height=578&fit=crop&auto=webp)

Online pharmacy company Ravkoo and Fertility Centers of Illinois (FCI) have both informed thousands of current and former patients of data breaches involving troves of their sensitive information. 

The [HIPAA Journal](https://www.hipaajournal.com/almost-80000-patients-affected-by-cyberattack-on-fertility-centers-of-illinois/) said 79,943 current and former patients were sent [breach notification letters](https://www.fcionline.com/hubfs/notice%203.pdf) informing them that passport numbers, Social Security numbers, financial account information, payment card information, treatment information, treating physicians, medical billing/claims information, prescription/medication information and Medicare/Medicaid identification information was leaked. 

The breach also involved significantly more patient information related to treatment and health insurance coverage as well as some employee information. 

FCI said it "became aware of suspicious activity on its internal systems" on February 1 and determined that patient information was involved by August. The company did not respond to requests for comment about the delay in informing victims but said in the notice that they are offering one year of free credit monitoring and identity theft protection services. 

FCI wasn't the only healthcare institution dealing with a breach. Internet pharmacy service Ravkoo also notified customers of a data breach involving their information. 

In [a letter sent](https://www.doj.nh.gov/consumer/security-breaches/documents/ravkoo-20220103.pdf?id=20220103&ravkoo) to New Hampshire Attorney General Gordon McDonald, the Florida-based Ravkoo said hackers tried to infiltrate their AWS hosted cloud prescription portal on September 27. The incident exposed the prescription and healthcare information of [105,000 people](https://apps.web.maine.gov/online/aeviewer/ME/40/142a7ad5-bef3-40c5-ac1c-f24d64014174.shtml?breach_ravkoo), including nearly 400 in Maine. 

After hiring a cybersecurity firm, CEO Alpesh Patel said the company was told on October 27 that names, mail addresses, phone numbers, prescriptions and medical information were exposed. 






Breach notification letters were sent out January 3 and the FBI was notified, according to a [notice](https://ravkoo.com/#elementor-action%3Aaction%3Dpopup%3Aopen%26settings%3DeyJpZCI6IjE5MDc1IiwidG9nZ2xlIjpmYWxzZX0%3D) on the Ravkoo website. Victims are being provided with one year of free online identity monitoring service from Kroll Information Assurance. 

In September, the hacker behind the attack on Ravkoo [told The Intercept's infosec director Micah Lee](https://twitter.com/micahflee/status/1442969646269800460) that Ravkoo was "hilariously easy" to hack and that they had access to hundreds of thousands of prescriptions filed with the company since 2020. 

According to what the hacker told The Intercept, Ravkoo's site had "a hidden admin panel that every user can log in to and view all the data."

Multiple fertility clinics reported data breaches in 2021, including [Quest-owned ReproSource](https://www.zdnet.com/article/quest-owned-fertility-clinic-announces-data-breach-after-august-ransomware-attack/) and Georgia-based Reproductive Biology Associates as well as its affiliate [My Egg Bank North America](https://www.zdnet.com/article/georgia-fertility-clinic-discloses-breach-of-patient-ssns-and-medical-info-after-ransomware-attack/). 

Jake Williams, CTO at BreachQuest, explained that it is not uncommon for medical organizations to store patient data outside of their electronic health record system and said it sounds like that's what happened in the FCI case. 

The theft of administrative accounts and other high privilege accounts give hackers access to widespread data and often act as a single point of failure, according to nVisium's Ben Pick.







## Tags:


### Autogenerated tags:
[[ravkoo]] [[fci]]
