# Amazon is laying off another 9,000 workers
## It announced 18,000 job cuts in January and says more are likely this year.
## Information:

+ Link: https://arstechnica.com/information-technology/2023/03/amazon-is-firing-another-9000-workers/
+ Source: Ars Technica
+ Author: Jonathan M. Gitlin
+ Date published: 20 March 2023, 19:14
+ Date scraped: 27 March 2023, 12:05

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/03/GettyImages-1447436927-760x380.jpg)







Amazon will lay off another 9,000 workers in the coming weeks. The news was delivered in an email [from company CEO Andy Jassy](https://www.aboutamazon.com/news/company-news/update-from-ceo-andy-jassy-on-amazons-operating-plan-and-additional-role-eliminations) to employees this morning and follows large cuts in [November](https://arstechnica.com/information-technology/2022/11/amazon-begins-layoffs-of-up-to-10000-jobs-blames-uncertain-economy/) and again in [January](https://arstechnica.com/tech-policy/2023/01/amazon-expands-layoffs-from-10000-to-18000-jobs-as-stock-price-keeps-falling/).


In his email to staff, Jassy wrote that most of the job cuts would come in four parts of the company: Amazon Web Services or AWS; "People Experience and Technology Solutions"; advertising; and the game-streaming platform Twitch, which has been owned by the Internet behemoth [since 2014](https://arstechnica.com/gaming/2014/08/amazon-not-google-reportedly-buying-twitch-for-1-billion/). Those areas of the company were also heavily affected by the earlier layoffs, which involved 18,000 workers.


"This was a difficult decision, but one that we think is best for the company long term," Jassy wrote.


According to his memo, these recent headcount reductions have followed a period where Amazon significantly grew its workforce. "This made sense given what was happening in our businesses and the economy as a whole. However, given the uncertain economy in which we reside, and the uncertainty that exists in the near future, we have chosen to be more streamlined in our costs and headcount," Jassy wrote.


Unfortunately for Amazon employees, it sounds as if these are far from the end of the job cuts. Although the company has just completed its annual planning exercise, Jassy wrote that the reason these cuts were announced so much later than the 10,000 in November and 8,000 in January is that some teams were still going through the process of deciding whether and who to cut. And some teams still haven't completed that process.


"Once those decisions have been made (our goal is to have this complete by mid to late April), we will communicate with the impacted employees (or where applicable in Europe, with employee representative bodies)," Jassy told the company.


Amazon says that severance packages will include a separation payment, job placement support, and transitional health care benefits.














## Tags:


### Autogenerated tags:
[[jassy]]
