# AWS outage impacts Ring, Netflix, and Amazon deliveries
## Amazon AWS in the US-EAST-1 Region is suffering an outage that affected numerous online services, including Ring, Netflix, and Amazon Prime Video, and Roku.
## Information:

+ Link: https://www.bleepingcomputer.com/news/technology/aws-outage-impacts-ring-netflix-and-amazon-deliveries/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 07 December 2021, 21:28
+ Date scraped: 07 December 2021, 22:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/04/09/AWS.jpg)

## Article:
![Article Image](https://www.bleepstatic.com/content/hl-images/2021/04/09/AWS.jpg)

![AWS outage impacts Ring, Netflix, and Amazon deliveries](https://www.bleepstatic.com/content/hl-images/2021/04/09/AWS.jpg)


Amazon AWS in the US-EAST-1 Region is suffering an outage that affected numerous online services, including Ring, Netflix, Amazon Prime Video, and Roku.


The ongoing outage started at approximately 12 PM EST and is caused by problematic network equipment affecting the US-EAST-1 AWS region, which feeds a good portion of the connectivity for people in the northeastern part of the United States.


The latest update shared by Amazon was at 3:34 PM EST, stating that they continue to be affected by problems with several network devices and are working on rolling out a fix.



> 
> "We continue to experience increased API error rates for multiple AWS Services in the US-EAST-1 Region. The root cause of this issue is an impairment of several network devices. We continue to work toward mitigation, and are actively working on a number of different mitigation and resolution actions. While we have observed some early signs of recovery, we do not have an ETA for full recovery. For customers experiencing issues signing-in to the AWS Management Console in US-EAST-1, we recommend retrying using a separate Management Console endpoint (such as https://us-west-2.console.aws.amazon.com/). Additionally, if you are attempting to login using root login credentials you may be unable to do so, even via console endpoints not in US-EAST-1. If you are impacted by this, we recommend using IAM Users or Roles for authentication. We will continue to provide updates here as we have more information to share." - Amazon.
> 
> 
> 


This outage disrupted streaming through Netflix, Amazon Prime, and Roku, and continues to affect users of Ring devices who are unable to connect to their cameras.



![Outage affecting Ring services](https://www.bleepstatic.com/images/news/outages/ring-problem.jpg)**Outage affecting Ring services**
CNBC also [reports](https://www.cnbc.com/2021/12/07/amazon-web-services-outage-causes-issues-at-disney-netflix-coinbase.html) that Amazon employees [posted to Reddit](https://www.reddit.com/r/AmazonFC/comments/rb2fim/so_apparently_amazon_is_down_nationwide/) that they could not access their internal apps required to scan packages, access delivery routes, or see their upcoming schedule.


![Amazon employee on reddit #1](https://www.bleepstatic.com/images/news/outages/amazon-1.jpg)


![Amazon employee on reddit #2](data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==)


Today's outage follows a [long string of other events](https://aws.amazon.com/premiumsupport/technology/pes/) since 2011, including a large-scale incident that affected the US-EAST-1 Region in November 2020, bringing down a long list of high-profile sites and online services after Amazon's Kinesis service for real-time processing of streaming data [experienced issues](https://aws.amazon.com/message/11201/).


One year before, in September 2019, a power outage at the AWS US-EAST-1 data center in North Virginia [caused data loss for Amazon customers](https://www.bleepingcomputer.com/news/technology/amazon-aws-outage-shows-data-in-the-cloud-is-not-always-safe/) who did not have working backups to restore their files.


In February 2017, a [massive Amazon's S3 (Simple Storage Service) outage](https://www.bleepingcomputer.com/news/hardware/aws-goes-down-and-so-do-millions-of-websites-apps-and-other-services/) took down millions of small and high-profile sites and app backends, including Adobe's apps and services, Docker, Giphy, Hacker News, IFTTT, Mailchimp, Medium, Quora, Signal, Slack, Trello, Twilio, and Twitch.


*This is a developing story and we will update it as more information becomes available.*







## Tags:
***urls***: https://us-west-2.console.aws.amazon.com/

### Autogenerated tags:
[[us-east-1]] [[aws]]
