# OpenAI confirms first Asia office in Tokyo
## OpenAI has announced its expansion to Asia with a new office in Tokyo, Japan, and a custom GPT-4 model for the Japanese language.
## Information:

+ Link: https://cybernews.com/news/openai-first-asia-office-tokyo/
+ Source: CyberNews
+ Author: 
Justinas Vainilavičius

+ Date published: 15 April 2024, 12:15
+ Date scraped: 16 April 2024, 10:12

## Article:
![Main article image](https://media.cybernews.com/images/featured-big/2024/04/altman_openai_0415.jpg)


***OpenAI has announced its expansion to Asia with a new office in Tokyo, Japan, and a custom GPT-4 model for the Japanese language.***


The ChatGPT-maker has announced that it’s continuing its global expansion with the new office in the capital of Japan, confirming earlier rumors it would pick Tokyo as a location for its third international office.


It said it chose Tokyo for its global tech leadership, service culture, and a community that “embraces innovation.” OpenAI said it would work with the Japanese government, local businesses, and research institutions to develop safe AI tools for Japan’s “unique” needs.




“We’re excited to be in Japan, which has a rich history of people and technology coming together to do more,” OpenAI CEO Sam Altman said in a statement.


“We believe AI will accelerate work by empowering people to be more creative and productive while also delivering broad value to current and new industries that have yet to be imagined,” he said.


The announcement comes after Microsoft, OpenAI’s largest investor, said last week that it would spend some [$2.9 billion over the next two years](https://cybernews.com/tech/microsoft-invests-billions-japan-ai/) to boost its AI business in Japan. 


This reflects the early efforts of the Japanese government to embrace the technology, which it hopes will become a driver of economic growth in its aging society.


Tadao Nagasaki will be the new head of OpenAI Japan after 12 years at Amazon Web Services (AWS), where he oversaw Amazon's cloud computing business in the country.


OpenAI said it would provide local businesses with early access to a GPT-4 custom model specifically optimized for the Japanese language, promising improved performance. The model tailored specifically for the Japanese language could also mean it will be more tuned to local nuances and context.


The firm said it plans to release the custom model more broadly “in the coming months.” Companies such as Daikin, Rakuten, and Toyota, as well as local governments, including the Tokyo Metropolitan Government and the City of Kobe, are already using ChatGPT to automate and streamline some of their processes, according to OpenAI.


The office in Tokyo will be OpenAI’s fourth location overall, including its headquarters in San Francisco. It opened its first international outpost last year with the office in London, UK, to be followed by a location in Dublin, Ireland.




The office in Dublin signifies OpenAI’s focus on the EU market, while London is growing in importance of its talent pool, with [Microsoft](https://cybernews.com/news/microsoft-new-ai-hub-london/) announcing last week it would also open its AI hub in the British capital.





---







## Tags:


### Autogenerated tags:
[[openai]]
