# AWS pledges $20M to K-12 cyber training, incident response
## The cloud services provider is participating in a broad White House plan to build additional protection to defend schools against ransomware and other threats.
## Information:

+ Link: https://www.cybersecuritydive.com/news/aws-20m-k-12-cyber-training-incident-response/690184/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 07 August 2023, 17:53
+ Date scraped: 10 August 2023, 12:05

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/e5FChu-GAI3y8ehWxNpUYO3zsCCG60xf1iJxTl2OXPE/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0FXU19TdW1taXRfTllfMjAyM18xNjMuSlBH.jpg)


Amazon Web Services[committed $20 million for a grant program](https://aws.amazon.com/blogs/publicsector/aws-launches-20-million-k12-cyber-grant-program-white-house-address-cybersecurity/)to support cyber resilience, as rival technology firms and school administrators are scheduled to[meet at the White House](https://www.cybersecuritydive.com/news/white-house-millions-k-12-cyberattacks/690125/)to roll out a broad effort to prevent ransomware and other malicious threat activity from harming K-12 schools.


AWS said the funding will go toward cloud-based cybersecurity programs for K-12 school districts and state departments of education.


The company is participating in a larger collaboration between government agencies and private sector partners to help target rich, resource poor organizations like local schools combat malicious attacks.


AWS works with more than 14,000 education institutions and 1,600 education technology firms and the company wants to accelerate the development of secure digital transformation for classrooms across the U.S.


“Our cloud infrastructure is secure by design and secure by default and our infrastructure and services meet the high bar that the U.S. government and other customers set for security,” Kim Majerus, VP of U.S. education and state and local government at AWS, said in a statement. 


AWS will offer the following resources and training to K-12 schools:


* Upskilling and reskilling to K-12 IT staff through its AWS Skill Builder digital learning platform.
* Cyber incident response through its Customer Incident Response Team.
* Well-Architected Framework security reviews to technology firms that provide services to K-12 schools.


Other technology providers are providing cybersecurity training, technical support and additional resources.


Cloudflare is offering [free zero trust cybersecurity protection for public school districts](https://blog.cloudflare.com/project-cybersafe-schools/) with less than 2,500 students through its Project Cybersafe Schools.


PowerSchool, a provider of cloud-based software for K-12 schools, is offering [free training, courses and tools](http://www.powerschool.com/news/powerschool-joins-white-house-k-12-education-technology-secure-by-design-pledge-announces-new-commitments-to-education-ecosystem-security/). 





## Tags:


### Autogenerated tags:
[[k-12]] [[aws]] [[cybersecurity]] [[u.s]]
