# AWS, Splunk lead open source effort to spot and curb cyberattacks
## A broad group of 18 tech companies are collaborating to establish a less cumbersome model for cybersecurity defense coordination.
## Information:

+ Link: https://www.cybersecuritydive.com/news/open-source-data-project/629342/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 09 August 2022, 22:00
+ Date scraped: 15 August 2022, 16:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/7Z0-Yru_aqKEmVuZtkzN1q8MFDIuCT0gH6f56U_p3S4/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL2dldHR5aW1hZ2VzLTEzNDQ3MzE5OTItMTcwNjY3YS5qcGc.jpg)


### Dive Brief:


* A coalition of 18 companies on Wednesday introduced a project aimed at creating a universal model for sharing data deemed essential to spot and curb cyberattacks.
* The[Open Cybersecurity Schema Framework project](https://www.businesswire.com/news/home/20220810005251/en/Cybersecurity-and-Technology-Industry-Leaders-Launch-Open-Source-Project-to-Help-Organizations-Detect-and-Stop-Cyberattacks-Faster-and-More-Effectively), initially established by Amazon Web Services and Splunk, acknowledges that tools used by cybersecurity professionals remain fragmented. This lack of coordination and integration across proprietary security tools makes detection and protection burdensome at multiple levels.
* The open-source effort can be applied in any environment and adheres to commonly adopted security standards, the group said.


### Dive Insight:


The project’s backers intend to simplify data classification in a vendor-neutral framework to help security teams spend less time normalizing data and more time on defense.


The Open Cybersecurity Schema Framework, which builds upon Symantec’s Integrated Cyber Defense Exchange Schema, includes contributions from Cloudflare, CrowdStrike, DTEX, IBM Security, IronNet, JupiterOne, Okta, Palo Alto Networks, Rapid7, Salesforce, Securonix, Sumo Logic, Tanium, Trend Micro and Zscaler.


Two of the world’s largest cloud providers, Microsoft and Google, were not included in the initial slate of backers. The group of 18 companies announced the project at the Black Hat USA conference in Las Vegas and said it’s available for use and open to contributions.





## Tags:


### Autogenerated tags:
[[cybersecurity]]
