# Hackers Claim Data Breach at Staffing Giant Robert Half, Sell Sensitive Data
## The hackers, infamously known as IntelBroker and Sanggiero, claim to possess a trove of data from Robert Half stolen through a data breach.
## Information:

+ Link: https://www.hackread.com/hackers-claim-robert-half-data-breach/
+ Source: HACKRead
+ Author: Waqas
+ Date published: 18 February 2024, 19:46
+ Date scraped: 18 February 2024, 20:02

## Article:
![Main article image](https://www.hackread.com/wp-content/uploads/2024/02/hackers-claim-robert-half-data-breach-2.jpg)


In June 2022, Robert Half International Inc., a global staffing and business consulting service, filed a data breach notification with the Office of the Maine Attorney General. According to [the notification](https://apps.web.maine.gov/online/aeviewer/ME/40/46df249e-75d0-4d2f-91da-76e9d58ff19a.shtml), the company experienced a data breach in which hackers targeted more than 1,000 customers, successfully obtaining their names, addresses, social security numbers, and tax information.






Now, Hackread.com can confirm that individuals operating under the aliases IntelBroker and Sanggiero are claiming responsibility for another breach at Robert Half International. They claim to have successfully breached the company once again, bragging about the theft of a substantial amount of data.


The stolen data is currently being offered for sale on the notorious [Breach Forums](https://www.hackread.com/breachforums-returns-with-shinyhunters-hackers/) at the price of $20,000 in Monero (XMR) cryptocurrency. Notably, the data listing initially appeared on Thursday, February 8, 2024, and has remained active since then.


The hackers claim that they breached RobertHalf.com on the same day, indicating that this alleged data breach is separate from the previous one in 2022. However, it remains uncertain whether these are the same hackers responsible for the earlier breach.



[![Hackers Claim Data Breach at Staffing Giant Robert Half, Sell Sensitive Data](https://www.hackread.com/wp-content/uploads/2024/02/hackers-claim-robert-half-data-breach-1-1024x267.jpg)](https://www.hackread.com/wp-content/uploads/2024/02/hackers-claim-robert-half-data-breach-1.jpg)IntelBroker on Breach Forum (Screenshot: Hackread.com)


Nevertheless, IntelBroker is already recognized for their high-profile and credible hacks, which include breaches of the [Weee! Grocery](https://www.hackread.com/weee-grocery-service-hacked/), [General Electric](https://www.hackread.com/general-electric-security-breach-hackers-darpa-data/) and the most recent data leak involving a partial [Facebook Marketplace database](https://www.hackread.com/hacker-intelbroker-leaks-us-dod-documents/).


### **The Alleged Stolen Data**


Headquartered in Menlo Park, California, United States, and established in 1948, Robert Half International holds the distinction of being the world’s first and largest specialized talent solutions firm. With over 325 offices globally, spanning countries such as Australia, Brazil, the UAE, the UK, Germany, Japan, China, and Canada, the company presents a lucrative target for cybercriminals.


In their post on Breach Forums, IntelBroker disclosed that they managed to gain access to confidential records, employee documents, customer information, and configuration settings related to services such as OpenAI and Twilio.






The hackers additionally shared screenshots purportedly displaying the stolen data, Git repositories, and AWS-related system settings. One screenshot appears to reveal a client list, with companies listed under ‘Account Names,’ accompanied by full names, primary functional roles, titles, and phone numbers.



[![Hackers Claim Data Breach at Staffing Giant Robert Half, Sell Sensitive Data](https://www.hackread.com/wp-content/uploads/2024/02/hackers-claim-robert-half-data-breach-3-1024x476.png)](https://www.hackread.com/wp-content/uploads/2024/02/hackers-claim-robert-half-data-breach-3.png)Sample data leaked by the hacker (Hackread.com)


The full scope of the breach and the number of affected individuals remain uncertain. Hackread.com has contacted Robert Half International Inc. for an official statement or clarification. As this is a developing story, the article will be updated accordingly.


### **Increasing Data Breaches**


In the first two months of 2024, there has been a notable increase in data breaches affecting both companies and government organizations. Last week, [Infosys disclosed](https://www.hackread.com/infosys-data-breach-bank-of-america-customers/) a breach impacting over 57,000 Bank of America customers.


Earlier this month, two major US insurance companies, Washington National Insurance Company and Bankers Life and Casualty Company, [reported](https://www.hackread.com/data-breach-sim-swapping-attacks-us-insurance/) a SIM-swapping-related breach affecting more than 66,000 customers.


In January, [Jason’s Deli fell victim to](https://www.hackread.com/jasons-deli-credential-stuffing-attack-data-breach/) a significant data breach, exposing the personal information of over 344,000 users due to a successful credential-stuffing attack. Also in January, [hackers targeted](https://www.hackread.com/indian-isp-hathway-data-breach-user-data-kyc-leak/) Indian ISP Hathway, compromising the personal information and KYC records of over 4 million unsuspecting customers.










## Tags:


### Autogenerated tags:
[[hackread.com]] [[intelbroker]]
