# Meta Sues Former VP After Defection to AI Startup
## Meta is suing one of its former executives for stealing sensitive documents before leaving the company
## Information:

+ Link: https://www.infosecurity-magazine.com/news/meta-sues-former-vp-defection-ai/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 14 March 2024, 09:30
+ Date scraped: 14 March 2024, 10:01

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/d9c33895-fff9-41e6-af41-0969c6da78ac.jpeg)


Meta has launched legal action against a former vice president after he allegedly stole employee and business contracts before resigning to work at an AI startup, according to reports.


The social media giant has alleged that former VP of infrastructure, Dipinder Singh (TS) Khurana, was “brazenly disloyal” in lifting the documents before defecting after a 12-year stint at the firm.


Filed on February 29 in a California state court, the lawsuit claims he violated his contract in taking the “proprietary, highly sensitive, confidential, and non-public documents about Meta’s business and employees,” according to Bloomberg.


[Khurana is said to have](https://www.bloomberg.com/news/articles/2024-03-12/meta-sues-disloyal-former-vp-over-alleged-stolen-documents) uploaded the documents to his personal Google Drive account and Dropbox before leaving for stealth AI startup Omniva in June 2023 – taking at least eight former Meta employees with him.


[*Read more on insider threats: Apple Sues Employee for Stealing Trade Secrets*](https://www.infosecurity-magazine.com/news/apple-sues-employee-for-stealing/)


Little is known about the Kuwaiti-backed business except that it has hired several high-profile execs from AWS, Microsoft, SambaNova and TSMC, according to [DCD](https://www.datacenterdynamics.com/en/news/meta-accuses-former-vp-of-taking-employee-and-supplier-data-to-omniva-files-lawsuit/).


The news comes just a week after it was revealed that a former Google employee was charged with stealing intellectual property from the tech giant related to AI.


[It’s alleged](https://www.infosecurity-magazine.com/news/google-staffer-charged-stealing/) that Chinese national and former Google software engineer Linwei Ding amassed over 500 files containing confidential information in the year to May 2023 and founded his own tech company in China focused on accelerating machine learning workloads.


Some 85% of cybersecurity leaders expect data loss from insider events to continue increasing in the next 12 months, according to a recent [Code42 report](https://www.code42.com/resources/reports/2024-data-exposure).


Peter Lukas, security architect at Code42, argued that the incidents highlight the unpredictability of human behavior.


“Employees are trusted to handle critical data daily, and operating without adequate visibility and security measures to account for employees’ risky behaviors is like driving without a seatbelt,” he added.


“While every security team is familiar with addressing external threats, insider risk presents a new, more insidious challenge that has been exacerbated in recent years by remote-first distributed workforces and increased use of digital collaboration tools.”



Image credit: kovop / Shutterstock.com






## Tags:


### Autogenerated tags:
[[google]]
