# Okta Investigates Possible Lapsus Breach
## Concerns rise that ransomware group used access to target customers
## Information:

+ Link: https://www.infosecurity-magazine.com/news/okta-investigates-possible-lapsus/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 22 March 2022, 08:11
+ Date scraped: 22 March 2022, 10:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/6afcfb07-a1ad-43c9-be00-ff4732d507cc.jpg)

Authentication security vendor Okta is investigating claims by a prolific ransomware group that it had admin access to its back-end systems for months, potentially enabling it to target a range of big-name companies.


The Lapsus group has in recent weeks revealed breaches of big brand tech companies including [Nvidia](https://www.infosecurity-magazine.com/news/nvidia-admits-hackers-stole/), [Samsung](https://www.infosecurity-magazine.com/news/samsung-source-codes-stolen/), Ubisoft and [Vodafone](https://www.infosecurity-magazine.com/news/vodafone-mercado-libre-ransomware/). This week, the most recent emerged as Microsoft after the group [claimed](https://twitter.com/AlvieriD/status/1506077931805691907) to have leaked 37GB of the tech giant’s source code online.


Concerns are now emerging that it was the group’s compromise of multi-factor authentication specialist Okta that enabled it to access so many tech companies over such a short period of time.


Lapsus screenshots[reshared on Twitter](https://twitter.com/_MG_/status/1506109152665382920)indicate that the group had “superuser” or admin access to Okta.com.


“For a service that powers authentication systems to many of the largest corporations (and FedRAMP approved) I think these security measures are pretty poor,” it wrote. “Before people start asking: we did not access/steal any databases from Okta – our focus was only on Okta customers.”


Alongside superuser rights, the group’s screenshots purportedly show that they had access to Okta’s AWS, Jira, Confluence, Zoom, Salesforce, Splunk, Google Workspace and other internal enterprise accounts.


One of them is dated 21 January 2022, indicating that Lapsus had been active inside the company for at least two months. It could be that it is publicizing the fact now because its access rights have finally been revoked.


The intel also indicates that it was a contractor’s account that was initially compromised, enabling the ransomware actors to infiltrate Okta’s network and ultimately target its customers.


Lapsus posted the Microsoft leak to its Telegram channel on Sunday, showing that it managed to compromise an Azure DevOps server containing source code for Bing, Cortana and other projects.





## Tags:


### Autogenerated tags:

