# Uber hacked, internal systems and confidential documents were allegedly compromised
## Uber on Thursday disclosed a security breach, threat actors gained access to its network, and stole internal documents. Uber on Thursday suffered a cyberattack, the attackers were able to penetrate its internal network and access internal documents, including vulnerability reports. According to the New York Times, the threat actors hacked an employee’s Slack account and […]
## Information:

+ Link: https://securityaffairs.co/wordpress/135811/data-breach/uber-hacked-systems-allegedly-compromised.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 16 September 2022, 07:22
+ Date scraped: 16 September 2022, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2015/10/uber.jpg?resize=300%2C300&ssl=1)


Uber on Thursday suffered a cyberattack, the attackers were able to penetrate its internal network and access internal documents, including vulnerability reports.




>  We are currently responding to a cybersecurity incident. We are in touch with law enforcement and will post additional updates here as they become available.
> 
> — Uber Comms (@Uber\_Comms) [September 16, 2022](https://twitter.com/Uber_Comms/status/1570584747071639552?ref_src=twsrc%5Etfw)





[According to the New York Times](https://www.nytimes.com/2022/09/15/technology/uber-hacking-breach.html), the threat actors hacked an employee’s Slack account and used it to inform internal personnel that the company had “suffered a data breach” and provided a list of allegedly hacked internal databases.


*“I announce I am a hacker and Uber has suffered a data breach.” states the message.*


The company was forced to take its internal communications and engineering systems offline to mitigate the attack and investigate the intrusion.


The attackers allegedly compromised several internal systems and provided images of email, cloud storage and code repositories to The New York Times and some cyber security researchers.


*“They pretty much have full access to Uber,” said Sam Curry, a security engineer at Yuga Labs who corresponded with the person who claimed to be responsible for the breach. “This is a total compromise, from what it looks like.”*


The attackers also had access to the company’s HackerOne bug bounty program, which means that they had access to every bug report submitted to the company by white hat hackers. This information is very important, threat actors could use it to launch further attacks. At this time is not possible to exclude that the reports include technical details about some flaws that have yet to be fixed by the company.


HackerOne has immediately disabled the Uber bug bounty program blocking any access to the list of the reported issues.




> Someone hacked an Uber employees HackerOne account and is commenting on all of the tickets. They likely have access to all of the Uber HackerOne reports. [pic.twitter.com/00j8V3kcoE](https://t.co/00j8V3kcoE)
> 
> — Sam Curry (@samwcyo) [September 16, 2022](https://twitter.com/samwcyo/status/1570577801790783493?ref_src=twsrc%5Etfw)







> Update: A Threat Actor claims to have completely compromised Uber – they have posted screenshots of their AWS instance, HackerOne administration panel, and more.  
>   
> They are openly taunting and mocking [@Uber](https://twitter.com/Uber?ref_src=twsrc%5Etfw). [pic.twitter.com/Q3PzzBLsQY](https://t.co/Q3PzzBLsQY)
> 
> — vx-underground (@vxunderground) [September 16, 2022](https://twitter.com/vxunderground/status/1570597582417821703?ref_src=twsrc%5Etfw)





Uber notified law enforcement and started an internal investigation into the incident, a company spokesman confirmed.



[![Uber](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/uber-logo.jpg?resize=193%2C109&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/09/uber-logo.jpg?ssl=1)


*“We don’t have an estimate right now as to when full access to tools will be restored, so thank you for bearing with us,” Latha Maripuri, Uber’s chief information security officer, told NYT via email.*


Employees were instructed not to use the internal messaging service Slack and some of them, speaking on a condition of anonymity, told the NYT that other internal systems were inaccessible.


The hacker claims to be 18 years old and added that Uber had weak security, in the message sent via Slack he also said Uber drivers should receive higher pay.


This is not the first time that the company suffered a security breach. In 2017, the news of another [data breach](https://securityaffairs.co/wordpress/71332/laws-and-regulations/uber-2016-data-breach.html) that took place in 2016 made the headlines. 


In November 2017, Uber CEO Dara Khosrowshahi announced that hackers broke into the company database and accessed the personal data (names, email addresses, and cell phone numbers) of 57 million of its users, the disconcerting revelation was that the company covered up the hack for more than a year.


The attackers accessed also the names and driver’s license numbers of roughly 600,000 of its drivers in the United States.


The hack happened in 2016, it was easy for hackers that according to a [report](https://www.bloomberg.com/news/articles/2017-11-21/uber-concealed-cyberattack-that-exposed-57-million-people-s-data?cmpid=socialflow-twitter-business&utm_content=business&utm_campaign=socialflow-organic&utm_source=twitter&utm_medium=social) published by Bloomberg, obtained credentials from a private GitHub site used by the company’s development team. The hackers tried to blackmail Uber and demanded $100,000 from the company in exchange for avoiding publishing the stolen data.


Rather than notify the data breach to customers and law enforcement, as is required by California’s data security breach [notification law](https://leginfo.legislature.ca.gov/faces/codes_displaySection.xhtml?lawCode=CIV&sectionNum=1798.82), the chief of information security Joe Sullivan ordered to pay the ransom and to cover the story destroying any evidence. The payout was [disguised](https://www.nytimes.com/2017/11/21/technology/uber-hack.html) as a [bug bounty](https://www.theregister.co.uk/2016/03/24/uber_bug_bounty_complaint/) prize complete with non-disclosure agreements signed


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Uber)**



 
  


---


  




## Tags:


### Autogenerated tags:
[[uber]] [[hackerone]]
