# Amazon Rolls Out Independent Cloud for Europe to Address Stricter Privacy Standards
## Amazon is rolling out an independent cloud for Europe as it looks to address stricter data privacy regulations
## Information:

+ Link: https://www.securityweek.com/amazon-rolls-out-independent-cloud-for-europe-to-address-stricter-privacy-standards/
+ Source: SecurityWeek
+ Author: Associated Press
+ Date published: 26 October 2023, 12:56
+ Date scraped: 26 October 2023, 13:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Amazon is rolling out an independent cloud for Europe as it looks to address strict regulations that companies and those in the public sector face in the European Union.**


Amazon Web Services said Wednesday that its AWS European Sovereign Cloud, which will be located in and operate out of Europe, will have the same security, availability, and performance as existing AWS regions but will be separate from them. The cloud will let customers keep all metadata they create in the European Union and will have its own billing and usage metering systems.

“The AWS European Sovereign Cloud reinforces our commitment to offering AWS customers the most advanced set of sovereignty controls, privacy safeguards, and security features available in the cloud,” Max Peterson, vice president of Sovereign Cloud at AWS, said in a written statement.

Washington and Brussels were at odds in a yearslong battle over the safety of EU citizens’ data that tech companies store in the U.S. following revelations by former National Security Agency contractor Edward Snowden. Two earlier data transfer agreements were thrown out before the EU signed off this summer on a new framework that has an adequate level of protection for personal data, though European privacy campaigner Max Schrems has vowed to challenge it to the EU’s top court.

Amazon’s AWS supports 143 security standards and compliance certifications, to help customers meet regulatory requirements. The company said that AWS is collaborating with European regulators and national cybersecurity agencies to build the AWS European Sovereign Cloud so that it is able to meet additional data residency, operational autonomy, and resiliency needs in Europe.

Germany will be the first AWS Region within the AWS European Sovereign Cloud and will be available to all European customers. Only EU-resident AWS employees who are located in the EU will have control of the operations and support for the AWS European Sovereign Cloud.

“The development of a European AWS cloud will make it much easier for many public sector organizations and companies with high data security and data protection requirements to use AWS services,” Claudia Plattner, president of the German Federal Office for Information Security, said.


AWS infrastructure in Europe currently includes eight regions in Frankfurt, Ireland, London, Milan, Paris, Stockholm, Spain, and Zurich. The company plans to launch five more AWS regions in Canada, Germany, Malaysia, New Zealand, and Thailand.

**Related**: [AWS Announces Enhancements to Cloud Security, Privacy, Compliance](https://www.securityweek.com/aws-announces-enhancements-cloud-security-privacy-compliance/)


**Related**: [AWS Using MadPot Decoy System to Disrupt APTs, Botnets](https://www.securityweek.com/aws-using-madpot-decoy-system-to-disrupt-apts-botnets/)


**Related**: [AWS Enables Default Server-Side Encryption for S3 Objects](https://www.securityweek.com/aws-enables-default-server-side-encryption-s3-objects/)





## Tags:


### Autogenerated tags:
[[aws]] [[cloud]]
