# Former Uber CISO Joe Sullivan Found Guilty
## A San Francisco jury on Wednesday found former Uber security chief Joe Sullivan guilty of covering up a 2016 data breach and concealing information on a felony from law enforcement.
## Information:

+ Link: https://www.securityweek.com/former-uber-ciso-joe-sullivan-found-guilty
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 05 October 2022, 22:02
+ Date scraped: 05 October 2022, 22:02

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


After a month-long trial that included testimony from Uber CEO Dara Khosrowshahi, the jury found Sullivan guilty of both charges -- obstructing an FTC investigation of a data breach at Uber, and deliberately hiding a felony from authorities.


Sullivan, who was most recently CISO at Cloudflare, faces up to 8 years in prison.


According to the *New York Times*, the jury of six men and six women took more than 19 hours to reach a verdict.


Sullivan is a former federal prosecutor who led security programs at several Silicon Valley companies, including eBay, PayPal and Facebook before his stint at Uber.


He was charged in August 2020 over his alleged role in the cover-up of the 2016 data breach that resulted in the theft of information of millions of Uber drivers and users.



Sullivan was [charged with obstruction of justice](https://www.justice.gov/usao-ndca/press-release/file/1306781/download) and misprision of a felony. During his time at Uber — he served as the company’s CSO between April 2015 and November 2017 — the ride-sharing giant’s systems were breached and the attackers managed to [steal information](https://www.securityweek.com/uber-hacked-information-57-million-users-accessed-covered-breach) on 57 million users and drivers.


The hackers attempted to extort Uber, demanding a six-figure payment. In an effort to cover up the breach, Uber paid the cybercriminals $100,000 through its HackerOne bug bounty program, instructing them to destroy the data. Sullivan allegedly asked the individuals to sign non-disclosure agreements that falsely claimed no data had been taken.


The incident occurred in the fall of 2016, but it was only disclosed to the public roughly one year later, after Dara Khosrowshahi was appointed Uber’s CEO. Sullivan was fired over his role in the handling of the breach and U.S. officials expressed discontent over how the incident was addressed, particularly since information was withheld from the FTC, which at the time was investigating a smaller cybersecurity incident suffered by the ride-sharing firm in 2014.


“The criminal complaint also alleges Sullivan deceived Uber’s new management team about the 2016 breach. Specifically, Sullivan failed to provide the new management team with critical details about the breach,” the Justice Department said. “Sullivan asked his team to prepare a summary of the incident, but after he received their draft summary, he edited it. His edits removed details about the data that the hackers had taken and falsely stated that payment had been made only after the hackers had been identified.”


An investigation revealed that [two individuals living in Canada and Florida](https://www.securityweek.com/hackers-florida-canada-behind-2016-uber-breach) were behind the Uber hack. They [pleaded guilty in October 2019](https://www.securityweek.com/hackers-plead-guilty-data-breach-uber-covered), admitting that they stole information from unprotected AWS servers and then demanded payment to destroy the data. 


**Related: [Uber Agrees to $148M Settlement With States Over Data Breach](https://www.securityweek.com/uber-agrees-148m-settlement-states-over-data-breach)**


**Related: [Court Investigating Whether Uber Connived to Cover its Tracks](https://www.securityweek.com/court-investigating-whether-uber-connived-cover-its-tracks)**


**Related: [Former Uber CSO Charged Over 2016 Data Breach Cover-Up](https://www.securityweek.com/former-uber-cso-charged-over-2016-data-breach-cover)**


 


## Tags:


### Autogenerated tags:
[[uber]] [[sullivan]]
