# Gem Security Lands $23 Million Series A Funding
## Israeli security startup Gem Security has raised a total of $34 million to tackle cloud threat detection and incident response.
## Information:

+ Link: https://www.securityweek.com/gem-security-lands-23m-series-a-funding/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 27 September 2023, 14:00
+ Date scraped: 27 September 2023, 14:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Gem Security, an Israeli startup with operations in New York, has attracted $23 million in venture capital investment to build and market technology in the competitive cloud threat detection and incident response space.**


The Tel Aviv company said the $23 million Series A was led by GGV Capital. Team8, which led Gem Security’s seed funding, also took an equity position alongside IBM Ventures and Silicon Valley CISO Investments (SVCI).

Since coming out of stealth seven months ago, Gem Security has raised a total of $34 million to build tooling to help organizations with cloud asset discovery, threat detection and incident response.

Gem Security is selling a platform that ingests multi-cloud native telemetry (AWS, GCP, Azure, Kubernetes), data from external security tools, and context from external platforms like GitHub to provide complete visibility and security recommendations.

Since [its launch in February 2023](https://www.securityweek.com/gem-security-gets-11-million-seed-investment-for-cloud-incident-response-platform/), Gem Security said it has scaled ARR by helping secure cloud operations for dozens of global organizations in financial services, healthcare, manufacturing, energy, and information technology. 


While there is no shortage of products for detection and response, Gem Security is arguing that legacy approaches fall short of providing tooling for the cloud era. Today, the company says organizations must work continuously on preparation, detection, investigation and response to cloud data threats.

**Related:** [Gem Security Lands Seed Financing for Cloud Security Tech](https://www.securityweek.com/gem-security-gets-11-million-seed-investment-for-cloud-incident-response-platform/)


**Related:** [Sentra Raises $30 Million for DSPM Technology](https://www.securityweek.com/sentra-raises-30-million-for-dspm-technology/)


**Related:** [What’s Going on With Cybersecurity VC Investments?](https://www.securityweek.com/whats-going-cybersecurity-vc-investments/)


**Related:** [Predictions 2023: Big Tech’s Coming Security Shopping Spree](https://www.securityweek.com/predictions-2023-big-techs-coming-security-shopping-spree/)





## Tags:


### Autogenerated tags:
[[cloud]]
