# Uber Data Leaked Following Breach at Third-Party Vendor
## Data belonging to Uber has been leaked as a result of a brech at a third-party IT vendor.
## Information:

+ Link: https://www.securityweek.com/uber-data-leaked-following-breach-third-party-vendor
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 13 December 2022, 11:00
+ Date scraped: 13 December 2022, 11:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Over the weekend, a user with the moniker ‘UberLeak’ made public on a hacker forum a 600 Mb archive file allegedly containing 20 million records of data coming from Uber systems.


An analysis of the files conducted by *SecurityWeek* shows source code, internal task management information, encryption keys, and over a dozen documents each containing hundreds or thousands of Uber email addresses.


One spreadsheet named ‘report’ contains what appears to be a list of more than 16,000 employee names and email addresses. Another spreadsheet named ‘users’ contains the names, email addresses and employee IDs for over 5,000 people.


![Uber data leak](https://www.securityweek.com/sites/default/files/images/uber_data_leak.png "Uber data leak")


A very small archive file allegedly associated with the Uber Eats food delivery platform was also leaked by the same user, but it only appears to contain test data.


[Uber confirmed](https://www.securityweek.com/uber-confirms-hacker-accessed-bug-bounty-dashboard-internal-tools) in September that a hacker had accessed internal tools after an external contractor’s account was compromised.


However, in a [statement to RestorePrivacy](https://restoreprivacy.com/uber-data-leak-breach-third-party-vendor-hacked/), Uber said the new leak is not related to the September incident. Instead, it appears the data originates from IT asset management software provider Teqtivity.


It’s worth noting that the same hacker also leaked 18 Mb and 25 Mb archive files allegedly containing data associated with Teqtivity and travel management company TripActions. These archives appear to contain application source code.


Teqtivity published a statement on Monday, confirming that [customer data was compromised](https://www.teqtivity.com/breach-notification-statement/) after a “malicious third party” gained access to its systems.


“The third party was able to gain access to our Teqtivity AWS backup server that housed Teqtivity code and data files related to Teqtivity customers,” the company said.


According to Teqtivity, the investigation is ongoing, but so far it has confirmed that the exposed files include device information such as serial number, make and model, and technical specification, as well as user information, including first and last name, work email address, and work location details. The firm said it does not collect personal information such as home addresses, government identification numbers or banking information.


Uber is still investigating the incident, but it said the source code does not seem to belong to the company.




 


## Tags:


### Autogenerated tags:
[[teqtivity]] [[uber]]
