# New Python-based FBot Hacking Toolkit Aims at Cloud and SaaS Platforms
## New Python-based hacking tool FBot targets web servers & cloud services like AWS & Microsoft 365.
## Information:

+ Link: https://thehackernews.com/2024/01/new-python-based-fbot-hacking-toolkit.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 11 January 2024, 19:30
+ Date scraped: 11 January 2024, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh9b7Bsdi-A_YDe029miWGpRF5ztXOvR68GvL5SdY84HqPc2b1BiRJ1tAnpyRXq7kLBZ964iJeA4iJhXSyb2LZDRHqCkvwWy1uh-wBuvHgeiGJyoQwktR46YpA_a5qaaE2zmoFAR_i5CS-QPWeiVbaMXjRUljBNz6xkmYWX1HZI6kSc0xzzCrDNWROiYkmn/s728-rw-ft-e30/fbot.jpg)


A new Python-based hacking tool called **FBot** has been uncovered targeting web servers, cloud services, content management systems (CMS), and SaaS platforms such as Amazon Web Services (AWS), Microsoft 365, PayPal, Sendgrid, and Twilio.


"Key features include credential harvesting for spamming attacks, AWS account hijacking tools, and functions to enable attacks against PayPal and various SaaS accounts," SentinelOne security researcher Alex Delamotte [said](https://s1.ai/fbot) in a report shared with The Hacker News.


FBot is the latest addition to the list of cloud hacking tools like [AlienFox, GreenBot](https://thehackernews.com/2023/03/alienfox-malware-targets-api-keys-and.html) (aka Maintance), [Legion](https://thehackernews.com/2023/05/legion-malware-upgraded-to-target-ssh.html), and [Predator](https://thehackernews.com/2023/11/lummac2-malware-deploys-new.html), the latter four of which share code-level overlaps with AndroxGh0st.


SentinelOne described FBot as "related but distinct from these families," owing to the fact that it does not reference any source code from AndroxGh0st, although it exhibits similarities with Legion, which first came to light last year.


The end goal of the tool is to hijack cloud, SaaS, and web services as well as harvest credentials to obtain initial access and monetize it by selling the access to other actors.


FBot, in addition to generating API keys for AWS and Sendgrid, packs an assortment of features to generate random IP addresses, run reverse IP scanners, and even validate PayPal accounts and the email addresses associated with those accounts.


"The script initiates the Paypal API request via the website hxxps://www.robertkalinkin.com/index.php, which is a Lithuanian fashion designer's retail sales website," Delamotte noted. "Interestingly, all identified FBot samples use this website to authenticate the Paypal API requests, and several Legion Stealer samples do as well."


On top of that, FBot packs in AWS-specific features to check for AWS Simple Email Service (SES) email configuration details and determine the targeted account's EC2 service quotas. The Twilio-related functionality, likewise, is utilized to gather specifics about the account, namely the balance, currency, and phone numbers connected to the account.


The features don't end there, for the malware is also capable of extracting credentials from Laravel environment files.


The cybersecurity firm said it uncovered samples starting from July 2022 to as recently as this month, suggesting that it is being actively used in the wild. That said, it's currently not known if the tool is actively maintained and how it's distributed to other players.


"We found indications that FBot is the product of private development work, so contemporary builds may be distributed through a smaller scale operation," Delamotte said.


"This aligns with the theme of cloud attack tools being bespoke 'private bots' tailored for the individual buyer, which is a theme prevalent among AlienFox builds."


  





## Tags:
***urls***: https://www.robertkalinkin.com/index.php

### Autogenerated tags:
[[fbot]] [[paypal]] [[cloud]] [[aws]] [[saas]] [[delamotte]] [[api]] [[website]]
