# Nebraska man allegedly defrauded cloud providers of millions via cryptojacking
## Federal prosecutors unsealed an indictment against Charles O. Parks III after arresting him over the weekend on charges that included wire fraud and money laundering.
## Information:

+ Link: https://therecord.media/nebraska-man-cryptojacking-indictment
+ Source: The Record
+ Author: James Reddick
+ Date published: 15 April 2024, 00:00
+ Date scraped: 15 April 2024, 22:02

## Article:
![Main article image](https://cms.therecord.media/uploads/format_webp/2022_02_cryptocurrency_e22521b905.png)

A 45-year-old Nebraska man is expected in a federal court in Omaha on Tuesday for allegedly running a “cryptojacking” operation that defrauded cloud computing service providers out of millions in services.

Charles O. Parks III was arrested on April 13 and charged with wire fraud, money laundering and engaging in unlawful monetary transactions, prosecutors said.

 According to [an indictment unsealed on Monday](https://www.justice.gov/usao-edny/pr/nebraska-man-indicted-multi-million-dollar-cryptojacking-scheme), from January 2021 through August 2021 Parks registered accounts with several cloud providers using email addresses with domains linked to his corporate entities, including MultiMillionaire LLC. Using their “immense amounts of computer processing and storage,” Parks allegedly mined over $970,000 in cryptocurrency.  

Cryptojacking is the term for when another entity’s resources are used to mine cryptocurrency against their will or without their knowledge.

According to prosecutors, Parks defrauded the two unnamed but “well-known” cloud providers of $3.5 million worth of computing resources.

He allegedly set up five accounts at one company using various names and email addresses, and was able to trick them into giving him certain benefits like deferred billing and elevated levels of cloud computing services.

Twice, Parks began using a new account within a day of his previous one having been suspended for “nonpayment and fraudulent activity,” prosecutors allege.

“Parks converted and laundered the cryptocurrency proceeds through cryptocurrency exchanges, a non-fungible token (NFT) marketplace, an online payment provider, and traditional bank accounts, in order to disguise the audit trail and disassociate the funds from the fraud,” the Department of Justice said.

After converting his proceeds into U.S. dollars, Parks allegedly made splashy purchases like a luxury car, expensive jewelry and first-class travel tickets.

He faces a maximum sentence of 20 years for wire fraud and 10 years for unlawful monetary transactions.

 Earlier this year, [a Ukrainian national was arrested](https://therecord.media/ukraine-arrests-suspect-cryptojacking-cloud-resources) for allegedly infecting the servers of “a well-known” American cloud service provider with a cryptomining malware.  

 In May 2023, [researchers tracked a hacker group](https://therecord.media/indonesia-cryptomining-group-uses-compromised-aws-accounts) attacking Amazon Web Services (AWS) accounts to set up illicit mining operations.  

[Previous article](/cisco-duo-data-breach-mfa-telephony-provider)[Cisco: Hacker breached multifactor authentication message provider on April 1](/cisco-duo-data-breach-mfa-telephony-provider)No new articles


## Tags:


### Autogenerated tags:
[[cloud]]
