# Yandex parent company to sell its Russian businesses for $5.2 billion
## The Netherlands-based parent company of "Russia's Google" is selling its entities in the country, as Moscow grows more and more isolated from the global economy.
## Information:

+ Link: https://therecord.media/yandex-sells-russian-assets-netherlands
+ Source: The Record
+ Author: Daryna Antoniuk
+ Date published: 05 February 2024, 00:00
+ Date scraped: 05 February 2024, 20:02

## Article:
![Main article image](https://cms.therecord.media/uploads/Yandex_office_2716eb378f.jpeg)

The Netherlands-based parent company of the Yandex group is selling its Russian businesses to local investors for $5.2 billion, the company [announced](https://ir.yandex/press-releases?year=2024&id=05-02-2024) on Monday. Despite a mandatory discount of at least half enforced by the Kremlin, this would be the largest corporate exit from Russia since it invaded Ukraine two years ago.


Yandex, often referred to as “Russia's Google,” was founded in Russia in the late 1990s and went public on the Nasdaq in 2011 via a company called Yandex NV registered in the Netherlands. Its Russian operations generated most of the group’s revenue. Yandex provides internet-related services, including a search engine, e-commerce, transportation, maps and navigation, and online advertising.


The company was once seen as a success story of Western investment in Russia. However, due to the support provided to Ukraine, the Netherlands is now deemed “unfriendly” to Russia, which subjects Yandex's Dutch subsidiary to a “[mandatory discount](https://www.reuters.com/business/russia-outlines-plan-unfriendly-investors-sell-up-half-price-2022-12-30/)” imposed by the Russian government on any sale of Russian assets by parent companies incorporated in “undesirable” countries.


Since the beginning of the war in Ukraine, more than 200 foreign tech companies, including industry giants like SAP, Cisco, Microsoft, AWS, IBM, and Intel, [have stopped providing their services in Russia](https://arppsoft.ru/news/it/13779/). This has pushed the Kremlin to speed up its "import substitution" policy, encouraging local businesses and state companies to switch to domestic technology, which is often strictly controlled by the state.


Russia is also [moving towards the complete isolation of its internet](https://therecord.media/russia-internet-isolation-challenges), making Yandex one of the likely victims of its censorship efforts.


The new cash-and-shares deal, which was initiated 18 months ago due to the start of the war in Ukraine, splits Yandex into Russian and Dutch firms. The group’s Dutch owner said it will "hold no interest in its businesses in Russia."


Yandex NV will retain a portfolio of international businesses and other non-Russian assets, including a cloud platform, an education technology service, a data center in Finland, and self-driving technology. Yandex NV said it will develop under its own branding in the future.


“Since February 2022, the Yandex group and our team have faced exceptional challenges. We believe that we have found the best possible solution for our shareholders, our teams and our users in these extraordinary circumstances,” said John Boynton, chairman of the board of directors of Yandex.


In Russia, Yandex management will get the biggest stake in the company, while the rest will go to a group of investors, including a fund owned by Russian energy enterprise Lukoil, the second largest company in the country after Gazprom.


“No persons who are the target of blocking sanctions in the U.S, EU, U.K. or Switzerland will participate,” Yandex said.


Yandex cofounder Arkady Volozh [was sanctioned](https://eur-lex.europa.eu/legal-content/EN/TXT/PDF/?uri=OJ:L:2022:153:FULL&from=EN) by the European Union in June 2022. The EU said that Yandex serves Russia’s “national interest” and is responsible for promoting state media and the Kremlin narratives in its search results. In addition, Russian state-owned banks such as Sberbank and VTB are shareholders and investors in Yandex, the EU said.


Volozh, who has been living in Israel with his family since 2014, publicly denounced Russia’s invasion of Ukraine. Following the sanctions, he resigned as the CEO of Yandex.


The Kremlin welcomed the proposed deal, saying that Yandex is one of the "national champions of the Russian economy in the field of high technology."


“It is important that the company continues to operate in our country,” [said Dmitry Peskov](https://t.me/youlistenedmayak/30522), press secretary of the Russian president.

[Previous article](/american-businessman-settles-hacking-case-against-law-firm-uk)[Next article](/judge-allows-ftc-case-against-kochava-data-broker-to-proceed)[American businessman settles hacking case in UK against law firm](/american-businessman-settles-hacking-case-against-law-firm-uk)[Judge allows case against geolocation data broker Kochava to proceed](/judge-allows-ftc-case-against-kochava-data-broker-to-proceed)


## Tags:


### Autogenerated tags:
[[yandex]]
