# 3.7M FlexBooker Records Dumped on Hacker Forum
## Attackers are trading millions of records  from a trio of pre-holiday breaches on an online forum.
## Information:

+ Link: https://kasperskycontenthub.com/threatpost-global/?p=177460
+ Source: ThreatPost
+ Author: Becky Bracken
+ Date published: 07 January 2022, 19:12
+ Date scraped: 07 January 2022, 20:00

## Article:
![Main article image](https://media.threatpost.com/wp-content/uploads/sites/103/2022/01/07140631/hacked-database-e1641582403159.jpeg)

## Article:
![Article Image](https://media.threatpost.com/wp-content/uploads/sites/103/2022/01/07140631/hacked-database-e1641582403159.jpeg)

A threat group that identifies itself as Uawrongteam is dumping data stolen from FlexBooker – a popular online appointment scheduling tool for booking services ranging from counseling to haircuts – on a cybercriminal forum.


The data from FlexBooker is being offered up by Uawrongteam, along with other [databases stolen](https://www.bleepingcomputer.com/news/security/flexbooker-discloses-data-breach-over-37-million-accounts-impacted/) on the same day, Dec. 23, from Racing.com and Redbourne Group’s rediCASE case management software, BleepingComputer reported.  

[![Infosec Insiders Newsletter](https://media.threatpost.com/wp-content/uploads/sites/103/2021/07/10165815/infosec_insiders_in_article_promo.png)](https://threatpost.com/infosec-insider-subscription-page/?utm_source=ART&utm_medium=ART&utm_campaign=InfosecInsiders_Newsletter_Promo/)


FlexBooker sent a notification to its users, explaining that its [Amazon AWS servers](https://threatpost.com/sega-security-aws-s3-exposed-steam/177352/) were compromised by what the company was able to identify as a [distributed denial-of-service (DDoS) attack](https://flexboooker.statuspage.io/incidents/hrwzs0n72tz6). [FlexBooker customers](https://www.flexbooker.com/about/) include the brands GoDaddy, Chipotle, Bausch + Lomb and Krewe.




“After working further with Amazon to understand what happened, we learned a certain set of data, including personal information of some customers, was accessed and downloaded,” the company said.


**More than 3.7M FlexBook Records Up For Grabs**
------------------------------------------------


According to Have I Been Pwned, the FlexBooker breach compromised 3.7 million accounts with information including email addresses, names, phone numbers and, for some, partial credit card data.




Uawrongteam claimed that its [stolen database](https://threatpost.com/compromised-accounts-17-major-companies/177417/) contains 10 million lines, including payment details.


FlexBooker said in its disclosure that it considers the matter resolved and is “… still monitoring for any lingering issues.”


But the attack might not be over, warned Nasser Fattah with Shared Assessments.


“We know that there are financial losses associated with system outages, hence, why security teams have all eyes on glass, so to speak, when there is a DDoS attack,” Fattah explained to Threatpost on Friday. “And when this happens, it is important to be prepared for the possibility of a multifaceted attack and be very diligent with monitoring other anomalies happening on the network.”


*Image courtesy of [Pixabay](https://pixabay.com/illustrations/hacker-hacking-cyber-security-hack-1944688/).* *[Licensing details](https://creativecommons.org/licenses/publicdomain/)*.


***Password******Reset:*** [***On-Demand Event***](https://threatpost.com/webinars/password-reset-claiming-control-of-credentials-to-stop-attacks/)***:*** *Fortify 2022 with a password-security strategy built for today’s threats. This* [*Threatpost Security Roundtable*](https://threatpost.com/webinars/password-reset-claiming-control-of-credentials-to-stop-attacks/)*, built for infosec professionals, centers on enterprise credential management, the new password basics and mitigating post-credential breaches. Join Darren James, with Specops Software and Roger Grimes, defense evangelist at KnowBe4 and Threatpost host Becky Bracken.* [***Register & stream this FREE session today***](https://threatpost.com/webinars/password-reset-claiming-control-of-credentials-to-stop-attacks/) *– sponsored by Specops Software.*







## Tags:


### Autogenerated tags:
[[flexbooker]] [[uawrongteam]] [[threatpost]]
