# AWS goes down and with it goes a host of websites and services | ZDNet
## You may not know it but many of the websites and services you rely on run on Amazon Web Services, and when it goes down, so do they.
## Information:

+ Link: https://www.zdnet.com/article/aws-goes-down-and-with-it-goes-a-host-of-websites-and-services/
+ Source: ZDNet
+ Author: Steven J. Vaughan-Nichols
+ Date published: 07 December 2021, 17:00
+ Date scraped: 07 December 2021, 19:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/0a7be23ca2aa4546ca347e80739fb6346dee07e8/2021/11/16/2bd0825d-e720-4f65-8cc2-4ef198a1caea/shutterstock-1455620315.jpg?width=770&height=578&fit=crop&auto=webp)

## Article:
![Article Image](https://www.zdnet.com/a/img/resize/0a7be23ca2aa4546ca347e80739fb6346dee07e8/2021/11/16/2bd0825d-e720-4f65-8cc2-4ef198a1caea/shutterstock-1455620315.jpg?width=770&height=578&fit=crop&auto=webp)

December 7th, 2021 won't be a day that will live in infamy, but it is a day that will annoy many [Amazon Web Services (AWS)](https://aws.amazon.com/) users. And, it will also vex many more people who didn't realize until today that Disney+, Venmo, and Robinhood all rely on AWS. No AWS, no [Star Wars: The Bad Batch](https://www.imdb.com/title/tt12708542/).  

The problem? According to the AWS Service Health Dashboard: 


> We are seeing an impact on multiple AWS APIs in the US-EAST-1 Region. This issue is also affecting some of our monitoring and incident response tooling, which is delaying our ability to provide updates. We have identified the root cause and are actively working towards recovery.
> 
> 

So, we should be back to business as usual soon. 

The problem first manifested at about 10:45 AM Eastern Time. It got its start in the major US East 1 AWS region hosted in Virginia.  

It may have been sparked there, but the problems showed up across AWS. Internet administrators reported that there were problems with [AWS Identity and Access Management (IAM)](https://aws.amazon.com/iam/), a web service that securely controls access to AWS resources, globally.  Adding insult to injury, [AWS customer service was down](https://puck.nether.net/pipermail/outages/2021-December/014129.html). So, even if your service or site wasn't at US East 1, you could still feel the problem's effects.  

Fortunately, according to [DownDetector](https://downdetector.com/) results, [AWS seems to have a handle on the problem](https://downdetector.com/status/aws-amazon-web-services/). In a few hours, all should be back to normal. 







## Tags:


### Autogenerated tags:
[[aws]]
