# AWS launches its second Top Secret region | ZDNet
## The new region is accredited to operate workloads at the Top Secret US security classification level, meeting the needs of customers in the defense, intelligence, and national security sectors.
## Information:

+ Link: https://www.zdnet.com/article/aws-launches-its-second-top-secret-region/
+ Source: ZDNet
+ Author: Stephanie Condon
+ Date published: 07 December 2021, 23:05
+ Date scraped: 08 December 2021, 01:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/a9fd45bfbe5aa0ed0db1e5a90842c2b3c017d71b/2018/10/10/a833f737-6655-4ebc-a0b7-235e5c608556/us-pentagon-scope.jpg?width=770&height=578&fit=crop&auto=webp)

## Article:
![Article Image](https://www.zdnet.com/a/img/resize/a9fd45bfbe5aa0ed0db1e5a90842c2b3c017d71b/2018/10/10/a833f737-6655-4ebc-a0b7-235e5c608556/us-pentagon-scope.jpg?width=770&height=578&fit=crop&auto=webp)

Amazon Web Services on Tuesday [announced the launch of its second Top Secret region](https://aws.amazon.com/blogs/publicsector/announcing-second-aws-top-secret-region-extending-support-us-government-classified-missions/), AWS Top Secret-West. The new region is accredited to operate workloads at the Top Secret US security classification level, meeting the needs of customers in the defense, intelligence, and national security sectors. 

Amazon opened its first Top Secret region, AWS Top Secret-East, back in 2014, making it the first air-gapped commercial cloud accredited to support classified workloads. 

The two Top Secret regions are more than 1,000 miles apart, giving customers options to store data closer to users for latency-sensitive workloads. Each region consists of multiple Availability Zones to ensure resiliency. 

The Top Secret region is accredited for security compliance under the Director of National Intelligence (DNI) Intelligence Community Directive (ICD 503) and National Institute of Standards and Technology (NIST) Special Publication (SP) 800-53 Revision 4.

AWS already has an established relationship with the defense industry, but it hasn't been without controversy. In 2019, the US Defense Department [awarded](https://www.zdnet.com/article/microsoft-wins-10-billion-u-s-department-of-defense-jedi-cloud-contract/) a 10-year, $10 billion Joint Enterprise Defense Infrastructure (JEDI) contract to Microsoft, and AWS almost immediately [filed a lawsuit](https://www.zdnet.com/article/its-official-aws-is-challenging-microsofts-10-billion-jedi-contract-win/) challenging the contract. AWS claimed that then-President Donald Trump's vendetta against Amazon and then-CEO Jeff Bezos was a key factor in Microsoft's win. 

Last month, [the DoD asked](https://www.zdnet.com/article/pentagon-asks-aws-microsoft-google-and-oracle-to-bid-for-new-cloud-contract/) AWS, Microsoft, Google and Oracle to submit bids for a new, multi-billion-dollar cloud contract. While it's asking for four bids, the federal government said it anticipates awarding just two contracts -- one to AWS and one to Microsoft. 







## Tags:


### Autogenerated tags:
[[aws]] [[microsoft]]
